Imports System
Imports System.Reflection
Imports System.Drawing
Imports System.Drawing.Printing
Imports IDAutomation.Windows.Forms.DataBar_Barcode
'Imports IDAutomation.Windows.Forms.RSS_Barcode
Imports Microsoft.Win32

'Imports IDAutomation.Windows.Forms.LinearBarCode
'<Assembly: AssemblyKeyFileAttribute("idakey.snk")> 
Public Class Form1
    Inherits System.Windows.Forms.Form
    Dim TempFileNumer As Integer = 1
    Dim FileTextSize As Integer = 24
    Dim OnStartUp As Boolean = False
    '*** V2006 Additions in next 2 lines
    Dim CommandLineArgs As String
    Dim LastSaveDirectory As String = ""

    Private Const PDF417_BINARY_EXPLANATION = "You may encode up to 150 characters in Binary compaction in a MicroPDF417 barcode and " & _
        "800 characters in a PDF417 barcode.  Binary compaction allows for the encoding of all ASCII characters from 0 - 255."

    Private Const PDF417_TEXT_EXPLANATION = "You may encode up to 250 characters in Text compaction in a MicroPDF417 barcode and " & _
        "800 characters in a PDF417 barcode.  Text compaction allows for the encoding of ASCII characters from 32 - 126 as well as " & _
        "the tab, line feed, and carriage return characters."

    Private Const PDF417_NUMERIC_EXPLANATION = "You may encode up to 366 numbers in Numeric compaction in a MicroPDF417 barcode and " & _
            "800 numbers in a PDF417 barcode.  Numeric compaction allows for the encoding of only numbers.  All other characters " & _
            "will be stripped from the data to encode."

#Region " Windows Form Designer generated code "

    Public Sub New()
        MyBase.New()

        'This call is required by the Windows Form Designer.
        InitializeComponent()

        'Add any initialization after the InitializeComponent() call

    End Sub

    'Form overrides dispose to clean up the component list.
    Protected Overloads Overrides Sub Dispose(ByVal disposing As Boolean)
        If disposing Then
            If Not (components Is Nothing) Then
                components.Dispose()
            End If
        End If
        MyBase.Dispose(disposing)
    End Sub

    'Required by the Windows Form Designer
    Private components As System.ComponentModel.IContainer

    'NOTE: The following procedure is required by the Windows Form Designer
    'It can be modified using the Windows Form Designer.  
    'Do not modify it using the code editor.

    Friend WithEvents Label1 As System.Windows.Forms.Label
    Friend WithEvents SaveFileDialog1 As System.Windows.Forms.SaveFileDialog
    Friend WithEvents btnGenerateImageFile As System.Windows.Forms.Button
    Friend WithEvents cmdPrint As System.Windows.Forms.Button
    Friend WithEvents btnCopyToClipboard As System.Windows.Forms.Button
    Friend WithEvents DemoText As System.Windows.Forms.TextBox
    Friend WithEvents DemoLinkLabel As System.Windows.Forms.LinkLabel
    Friend WithEvents Splitter1 As System.Windows.Forms.Splitter
    Friend WithEvents MyHelpButton As System.Windows.Forms.Button
    Friend WithEvents PictureBox1 As System.Windows.Forms.PictureBox
    Friend WithEvents ColorDialog1 As System.Windows.Forms.ColorDialog
    Friend WithEvents FontDialog1 As System.Windows.Forms.FontDialog
    Friend WithEvents TabControl1 As System.Windows.Forms.TabControl
    Friend WithEvents tabBarcodeProps As System.Windows.Forms.TabPage
    Friend WithEvents tabTextProps As System.Windows.Forms.TabPage
    Friend WithEvents tabImageProps As System.Windows.Forms.TabPage
    Friend WithEvents tabCaptionProps As System.Windows.Forms.TabPage
    Friend WithEvents GroupBox1 As System.Windows.Forms.GroupBox
    Friend WithEvents TextMargin As System.Windows.Forms.TextBox
    Friend WithEvents LeftMargin As System.Windows.Forms.TextBox
    Friend WithEvents TopMargin As System.Windows.Forms.TextBox
    Friend WithEvents XDimension As System.Windows.Forms.TextBox
    Friend WithEvents Label5 As System.Windows.Forms.Label
    Friend WithEvents cboSymbology As System.Windows.Forms.ComboBox
    Friend WithEvents BarHeight As System.Windows.Forms.TextBox
    Friend WithEvents ApplyTilde As System.Windows.Forms.CheckBox
    Friend WithEvents UPCESystem As System.Windows.Forms.Label
    Friend WithEvents cboCode128Set As System.Windows.Forms.ComboBox
    Friend WithEvents cboUPCESystem As System.Windows.Forms.ComboBox
    Friend WithEvents GroupBox2 As System.Windows.Forms.GroupBox
    Friend WithEvents cboOrientation As System.Windows.Forms.ComboBox
    Friend WithEvents txtImageDPI As System.Windows.Forms.TextBox
    Friend WithEvents Label3 As System.Windows.Forms.Label
    Friend WithEvents Label11 As System.Windows.Forms.Label
    Friend WithEvents Label2 As System.Windows.Forms.Label
    Friend WithEvents DataToEncode As System.Windows.Forms.TextBox
    Friend WithEvents GroupBox4 As System.Windows.Forms.GroupBox
    Friend WithEvents lblBottomCaptionColor As System.Windows.Forms.Label
    Friend WithEvents lblUpperCaptionColor As System.Windows.Forms.Label
    Friend WithEvents txtUpperCaption As System.Windows.Forms.TextBox
    Friend WithEvents txtBottomCaption As System.Windows.Forms.TextBox
    Friend WithEvents txtBottomSpace As System.Windows.Forms.TextBox
    Friend WithEvents txtUpperSpace As System.Windows.Forms.TextBox
    Friend WithEvents cmdLowerColor As System.Windows.Forms.Button
    Friend WithEvents cmdSetUpperColor As System.Windows.Forms.Button
    Friend WithEvents cboBottomAlignment As System.Windows.Forms.ComboBox
    Friend WithEvents cboUpperAlignment As System.Windows.Forms.ComboBox
    Friend WithEvents Label20 As System.Windows.Forms.Label
    Friend WithEvents Label21 As System.Windows.Forms.Label
    Friend WithEvents Label22 As System.Windows.Forms.Label
    Friend WithEvents Label17 As System.Windows.Forms.Label
    Friend WithEvents Label16 As System.Windows.Forms.Label
    Friend WithEvents Label15 As System.Windows.Forms.Label
    Friend WithEvents chkTextAbove As System.Windows.Forms.CheckBox
    Friend WithEvents chkShowText As System.Windows.Forms.CheckBox
    Friend WithEvents lblCopyright As System.Windows.Forms.Label
    Friend WithEvents lblHRTextFont As System.Windows.Forms.Label
    Friend WithEvents lblHRTextColor As System.Windows.Forms.Label
    Friend WithEvents btnSetHRTextFont As System.Windows.Forms.Button
    Friend WithEvents btnSetHRText As System.Windows.Forms.Button
    Friend WithEvents Label24 As System.Windows.Forms.Label
    Friend WithEvents Label25 As System.Windows.Forms.Label
    Friend WithEvents lblBarColor As System.Windows.Forms.Label
    Friend WithEvents btnSetBarColor As System.Windows.Forms.Button
    Friend WithEvents Label14 As System.Windows.Forms.Label
    Friend WithEvents lblBackgroundColor As System.Windows.Forms.Label
    Friend WithEvents btnSetBackgroundColor As System.Windows.Forms.Button
    Friend WithEvents Label23 As System.Windows.Forms.Label
    Friend WithEvents txtUPCSeparation As System.Windows.Forms.TextBox
    Friend WithEvents Label28 As System.Windows.Forms.Label
    Friend WithEvents txtCompositeData As System.Windows.Forms.TextBox
    Friend WithEvents chkIncludeAI As System.Windows.Forms.CheckBox
    Friend WithEvents chkIncludeLinkageFlag As System.Windows.Forms.CheckBox
    Friend WithEvents DataBar1 As IDAutomation.Windows.Forms.DataBar_Barcode.Databar
    Friend WithEvents tabPDFProps As System.Windows.Forms.TabPage
    Friend WithEvents GroupBox3 As System.Windows.Forms.GroupBox
    Friend WithEvents cboCompactionType As System.Windows.Forms.ComboBox
    Friend WithEvents txtNumberPDFColumns As System.Windows.Forms.TextBox
    Friend WithEvents lblPDFMaxLength As System.Windows.Forms.Label
    Friend WithEvents lblNumPDFColumns As System.Windows.Forms.Label
    Friend WithEvents cmdSetBottomCaptionFont As System.Windows.Forms.Button
    Friend WithEvents Label26 As System.Windows.Forms.Label
    Friend WithEvents cmdCaptionFont As System.Windows.Forms.Button
    Friend WithEvents lblCaptionFont As System.Windows.Forms.Label
    Friend WithEvents MainMenu1 As System.Windows.Forms.MainMenu
    Friend WithEvents MenuItem1 As System.Windows.Forms.MenuItem
    Friend WithEvents mnuSave As System.Windows.Forms.MenuItem
    Friend WithEvents mnuPrint As System.Windows.Forms.MenuItem
    Friend WithEvents MenuItem4 As System.Windows.Forms.MenuItem
    Friend WithEvents mnuExit As System.Windows.Forms.MenuItem
    Friend WithEvents MenuItem2 As System.Windows.Forms.MenuItem
    Friend WithEvents mnuCopyImage As System.Windows.Forms.MenuItem
    Friend WithEvents MenuItem3 As System.Windows.Forms.MenuItem
    Friend WithEvents mnuManual As System.Windows.Forms.MenuItem
    Friend WithEvents MenuItem5 As System.Windows.Forms.MenuItem
    Friend WithEvents MenuItem6 As System.Windows.Forms.MenuItem
    Friend WithEvents MenuItem7 As System.Windows.Forms.MenuItem
    Friend WithEvents lblTextMargin As System.Windows.Forms.Label
    Friend WithEvents lblLeftMargin As System.Windows.Forms.Label
    Friend WithEvents lblTopMargin As System.Windows.Forms.Label
    Friend WithEvents lblBarHeight As System.Windows.Forms.Label
    Friend WithEvents Label6 As System.Windows.Forms.Label
    Friend WithEvents Label7 As System.Windows.Forms.Label
    Friend WithEvents mnuInInches As System.Windows.Forms.MenuItem
    Friend WithEvents mnuInCM As System.Windows.Forms.MenuItem
    Friend WithEvents lblXDimCM As System.Windows.Forms.Label
    Friend WithEvents lblLowerCaptionSpace As System.Windows.Forms.Label
    Friend WithEvents lblUpperCaptionSpace As System.Windows.Forms.Label
    Friend WithEvents PictureBox2 As System.Windows.Forms.PictureBox
    Friend WithEvents txtSegments As System.Windows.Forms.TextBox
    Friend WithEvents DataBarSuggested As System.Windows.Forms.CheckBox
    Friend WithEvents lblSegments As System.Windows.Forms.Label
    Friend WithEvents lblSegmentsDesc As System.Windows.Forms.Label

    <System.Diagnostics.DebuggerStepThrough()> Private Sub InitializeComponent()
        Me.components = New System.ComponentModel.Container
        Dim resources As System.Resources.ResourceManager = New System.Resources.ResourceManager(GetType(Form1))
        Me.Label1 = New System.Windows.Forms.Label
        Me.btnGenerateImageFile = New System.Windows.Forms.Button
        Me.btnCopyToClipboard = New System.Windows.Forms.Button
        Me.cmdPrint = New System.Windows.Forms.Button
        Me.SaveFileDialog1 = New System.Windows.Forms.SaveFileDialog
        Me.DemoLinkLabel = New System.Windows.Forms.LinkLabel
        Me.DemoText = New System.Windows.Forms.TextBox
        Me.Splitter1 = New System.Windows.Forms.Splitter
        Me.MyHelpButton = New System.Windows.Forms.Button
        Me.lblCopyright = New System.Windows.Forms.Label
        Me.PictureBox1 = New System.Windows.Forms.PictureBox
        Me.ColorDialog1 = New System.Windows.Forms.ColorDialog
        Me.FontDialog1 = New System.Windows.Forms.FontDialog
        Me.TabControl1 = New System.Windows.Forms.TabControl
        Me.tabBarcodeProps = New System.Windows.Forms.TabPage
        Me.Label28 = New System.Windows.Forms.Label
        Me.txtCompositeData = New System.Windows.Forms.TextBox
        Me.Label2 = New System.Windows.Forms.Label
        Me.DataToEncode = New System.Windows.Forms.TextBox
        Me.GroupBox1 = New System.Windows.Forms.GroupBox
        Me.lblSegmentsDesc = New System.Windows.Forms.Label
        Me.DataBarSuggested = New System.Windows.Forms.CheckBox
        Me.lblSegments = New System.Windows.Forms.Label
        Me.txtSegments = New System.Windows.Forms.TextBox
        Me.txtUPCSeparation = New System.Windows.Forms.TextBox
        Me.lblTextMargin = New System.Windows.Forms.Label
        Me.TextMargin = New System.Windows.Forms.TextBox
        Me.lblLeftMargin = New System.Windows.Forms.Label
        Me.LeftMargin = New System.Windows.Forms.TextBox
        Me.lblTopMargin = New System.Windows.Forms.Label
        Me.TopMargin = New System.Windows.Forms.TextBox
        Me.lblXDimCM = New System.Windows.Forms.Label
        Me.XDimension = New System.Windows.Forms.TextBox
        Me.lblBarHeight = New System.Windows.Forms.Label
        Me.Label5 = New System.Windows.Forms.Label
        Me.cboSymbology = New System.Windows.Forms.ComboBox
        Me.BarHeight = New System.Windows.Forms.TextBox
        Me.ApplyTilde = New System.Windows.Forms.CheckBox
        Me.UPCESystem = New System.Windows.Forms.Label
        Me.cboCode128Set = New System.Windows.Forms.ComboBox
        Me.cboUPCESystem = New System.Windows.Forms.ComboBox
        Me.Label6 = New System.Windows.Forms.Label
        Me.Label7 = New System.Windows.Forms.Label
        Me.tabTextProps = New System.Windows.Forms.TabPage
        Me.chkIncludeLinkageFlag = New System.Windows.Forms.CheckBox
        Me.chkIncludeAI = New System.Windows.Forms.CheckBox
        Me.lblBackgroundColor = New System.Windows.Forms.Label
        Me.btnSetBackgroundColor = New System.Windows.Forms.Button
        Me.Label23 = New System.Windows.Forms.Label
        Me.lblBarColor = New System.Windows.Forms.Label
        Me.btnSetBarColor = New System.Windows.Forms.Button
        Me.Label14 = New System.Windows.Forms.Label
        Me.lblHRTextFont = New System.Windows.Forms.Label
        Me.lblHRTextColor = New System.Windows.Forms.Label
        Me.btnSetHRTextFont = New System.Windows.Forms.Button
        Me.btnSetHRText = New System.Windows.Forms.Button
        Me.Label24 = New System.Windows.Forms.Label
        Me.Label25 = New System.Windows.Forms.Label
        Me.chkTextAbove = New System.Windows.Forms.CheckBox
        Me.chkShowText = New System.Windows.Forms.CheckBox
        Me.tabImageProps = New System.Windows.Forms.TabPage
        Me.GroupBox2 = New System.Windows.Forms.GroupBox
        Me.optBitmap = New System.Windows.Forms.RadioButton
        Me.Label27 = New System.Windows.Forms.Label
        Me.optIndMF = New System.Windows.Forms.RadioButton
        Me.cboOrientation = New System.Windows.Forms.ComboBox
        Me.txtImageDPI = New System.Windows.Forms.TextBox
        Me.Label3 = New System.Windows.Forms.Label
        Me.Label11 = New System.Windows.Forms.Label
        Me.tabPDFProps = New System.Windows.Forms.TabPage
        Me.GroupBox3 = New System.Windows.Forms.GroupBox
        Me.Label30 = New System.Windows.Forms.Label
        Me.txtXYRatio = New System.Windows.Forms.TextBox
        Me.Label29 = New System.Windows.Forms.Label
        Me.cboECLevel = New System.Windows.Forms.ComboBox
        Me.chkTruncate = New System.Windows.Forms.CheckBox
        Me.lblNumPDFColumns = New System.Windows.Forms.Label
        Me.lblPDFMaxLength = New System.Windows.Forms.Label
        Me.cboCompactionType = New System.Windows.Forms.ComboBox
        Me.txtNumberPDFColumns = New System.Windows.Forms.TextBox
        Me.tabCaptionProps = New System.Windows.Forms.TabPage
        Me.GroupBox4 = New System.Windows.Forms.GroupBox
        Me.cmdSetBottomCaptionFont = New System.Windows.Forms.Button
        Me.Label26 = New System.Windows.Forms.Label
        Me.cmdCaptionFont = New System.Windows.Forms.Button
        Me.lblCaptionFont = New System.Windows.Forms.Label
        Me.lblBottomCaptionColor = New System.Windows.Forms.Label
        Me.lblUpperCaptionColor = New System.Windows.Forms.Label
        Me.txtUpperCaption = New System.Windows.Forms.TextBox
        Me.txtBottomCaption = New System.Windows.Forms.TextBox
        Me.txtBottomSpace = New System.Windows.Forms.TextBox
        Me.txtUpperSpace = New System.Windows.Forms.TextBox
        Me.cmdLowerColor = New System.Windows.Forms.Button
        Me.cmdSetUpperColor = New System.Windows.Forms.Button
        Me.cboBottomAlignment = New System.Windows.Forms.ComboBox
        Me.cboUpperAlignment = New System.Windows.Forms.ComboBox
        Me.lblLowerCaptionSpace = New System.Windows.Forms.Label
        Me.Label20 = New System.Windows.Forms.Label
        Me.Label21 = New System.Windows.Forms.Label
        Me.Label22 = New System.Windows.Forms.Label
        Me.lblUpperCaptionSpace = New System.Windows.Forms.Label
        Me.Label17 = New System.Windows.Forms.Label
        Me.Label16 = New System.Windows.Forms.Label
        Me.Label15 = New System.Windows.Forms.Label
        Me.DataBar1 = New IDAutomation.Windows.Forms.Databar_Barcode.Databar
        Me.ToolTip1 = New System.Windows.Forms.ToolTip(Me.components)
        Me.MainMenu1 = New System.Windows.Forms.MainMenu
        Me.MenuItem1 = New System.Windows.Forms.MenuItem
        Me.mnuSave = New System.Windows.Forms.MenuItem
        Me.mnuPrint = New System.Windows.Forms.MenuItem
        Me.MenuItem4 = New System.Windows.Forms.MenuItem
        Me.mnuExit = New System.Windows.Forms.MenuItem
        Me.MenuItem2 = New System.Windows.Forms.MenuItem
        Me.mnuInInches = New System.Windows.Forms.MenuItem
        Me.mnuInCM = New System.Windows.Forms.MenuItem
        Me.mnuCopyImage = New System.Windows.Forms.MenuItem
        Me.MenuItem3 = New System.Windows.Forms.MenuItem
        Me.mnuManual = New System.Windows.Forms.MenuItem
        Me.MenuItem5 = New System.Windows.Forms.MenuItem
        Me.MenuItem6 = New System.Windows.Forms.MenuItem
        Me.MenuItem7 = New System.Windows.Forms.MenuItem
        Me.PictureBox2 = New System.Windows.Forms.PictureBox
        Me.TabControl1.SuspendLayout()
        Me.tabBarcodeProps.SuspendLayout()
        Me.GroupBox1.SuspendLayout()
        Me.tabTextProps.SuspendLayout()
        Me.tabImageProps.SuspendLayout()
        Me.GroupBox2.SuspendLayout()
        Me.tabPDFProps.SuspendLayout()
        Me.GroupBox3.SuspendLayout()
        Me.tabCaptionProps.SuspendLayout()
        Me.GroupBox4.SuspendLayout()
        Me.SuspendLayout()
        '
        'Label1
        '
        Me.Label1.Font = New System.Drawing.Font("Arial", 8.25!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
        Me.Label1.Location = New System.Drawing.Point(16, 424)
        Me.Label1.Name = "Label1"
        Me.Label1.Size = New System.Drawing.Size(312, 16)
        Me.Label1.TabIndex = 1
        Me.Label1.Text = "Image Preview   (may not reflect actual size and dimensions)"
        '
        'btnGenerateImageFile
        '
        Me.btnGenerateImageFile.BackColor = System.Drawing.Color.Silver
        Me.btnGenerateImageFile.Font = New System.Drawing.Font("Microsoft Sans Serif", 8.0!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
        Me.btnGenerateImageFile.Location = New System.Drawing.Point(8, 392)
        Me.btnGenerateImageFile.Name = "btnGenerateImageFile"
        Me.btnGenerateImageFile.Size = New System.Drawing.Size(112, 20)
        Me.btnGenerateImageFile.TabIndex = 0
        Me.btnGenerateImageFile.Text = "&Generate Image File"
        '
        'btnCopyToClipboard
        '
        Me.btnCopyToClipboard.BackColor = System.Drawing.Color.Silver
        Me.btnCopyToClipboard.Font = New System.Drawing.Font("Microsoft Sans Serif", 8.0!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
        Me.btnCopyToClipboard.Location = New System.Drawing.Point(152, 392)
        Me.btnCopyToClipboard.Name = "btnCopyToClipboard"
        Me.btnCopyToClipboard.Size = New System.Drawing.Size(112, 20)
        Me.btnCopyToClipboard.TabIndex = 1
        Me.btnCopyToClipboard.Text = "&Copy to Clipboard"
        '
        'cmdPrint
        '
        Me.cmdPrint.BackColor = System.Drawing.Color.Silver
        Me.cmdPrint.Font = New System.Drawing.Font("Microsoft Sans Serif", 8.0!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
        Me.cmdPrint.Location = New System.Drawing.Point(300, 392)
        Me.cmdPrint.Name = "cmdPrint"
        Me.cmdPrint.Size = New System.Drawing.Size(112, 20)
        Me.cmdPrint.TabIndex = 2
        Me.cmdPrint.Text = "&Print Image"
        '
        'SaveFileDialog1
        '
        Me.SaveFileDialog1.FileName = "doc1"
        '
        'DemoLinkLabel
        '
        Me.DemoLinkLabel.Anchor = CType((System.Windows.Forms.AnchorStyles.Bottom Or System.Windows.Forms.AnchorStyles.Right), System.Windows.Forms.AnchorStyles)
        Me.DemoLinkLabel.AutoSize = True
        Me.DemoLinkLabel.Font = New System.Drawing.Font("Arial", 9.75!, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
        Me.DemoLinkLabel.Location = New System.Drawing.Point(408, 515)
        Me.DemoLinkLabel.Name = "DemoLinkLabel"
        Me.DemoLinkLabel.Size = New System.Drawing.Size(151, 18)
        Me.DemoLinkLabel.TabIndex = 10
        Me.DemoLinkLabel.TabStop = True
        Me.DemoLinkLabel.Text = "ORDER LICENSE NOW"
        Me.DemoLinkLabel.Visible = False
        Me.DemoLinkLabel.VisitedLinkColor = System.Drawing.Color.Blue
        '
        'DemoText
        '
        Me.DemoText.Anchor = CType((System.Windows.Forms.AnchorStyles.Bottom Or System.Windows.Forms.AnchorStyles.Right), System.Windows.Forms.AnchorStyles)
        Me.DemoText.BackColor = System.Drawing.SystemColors.Info
        Me.DemoText.BorderStyle = System.Windows.Forms.BorderStyle.None
        Me.DemoText.Font = New System.Drawing.Font("Arial", 8.25!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
        Me.DemoText.Location = New System.Drawing.Point(328, 456)
        Me.DemoText.Multiline = True
        Me.DemoText.Name = "DemoText"
        Me.DemoText.Size = New System.Drawing.Size(232, 56)
        Me.DemoText.TabIndex = 16
        Me.DemoText.Text = "NOTICE: This is a demo version of the IDAutomation.com product and may be used fo" & _
        "r evaluation purposes only. Please click the link below to order a license."
        Me.DemoText.Visible = False
        '
        'Splitter1
        '
        Me.Splitter1.Location = New System.Drawing.Point(0, 0)
        Me.Splitter1.Name = "Splitter1"
        Me.Splitter1.Size = New System.Drawing.Size(3, 561)
        Me.Splitter1.TabIndex = 0
        Me.Splitter1.TabStop = False
        '
        'MyHelpButton
        '
        Me.MyHelpButton.BackColor = System.Drawing.Color.Silver
        Me.MyHelpButton.Font = New System.Drawing.Font("Microsoft Sans Serif", 8.0!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
        Me.MyHelpButton.Location = New System.Drawing.Point(448, 392)
        Me.MyHelpButton.Name = "MyHelpButton"
        Me.MyHelpButton.Size = New System.Drawing.Size(112, 20)
        Me.MyHelpButton.TabIndex = 3
        Me.MyHelpButton.Text = "&Help"
        '
        'lblCopyright
        '
        Me.lblCopyright.Anchor = CType((System.Windows.Forms.AnchorStyles.Bottom Or System.Windows.Forms.AnchorStyles.Right), System.Windows.Forms.AnchorStyles)
        Me.lblCopyright.AutoSize = True
        Me.lblCopyright.Font = New System.Drawing.Font("Arial", 8.25!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
        Me.lblCopyright.Location = New System.Drawing.Point(336, 544)
        Me.lblCopyright.Name = "lblCopyright"
        Me.lblCopyright.Size = New System.Drawing.Size(213, 16)
        Me.lblCopyright.TabIndex = 18
        Me.lblCopyright.Text = "Copyright  2008 IDAutomation.com, Inc."
        '
        'PictureBox1
        '
        Me.PictureBox1.Image = CType(resources.GetObject("PictureBox1.Image"), System.Drawing.Image)
        Me.PictureBox1.Location = New System.Drawing.Point(56, 328)
        Me.PictureBox1.Name = "PictureBox1"
        Me.PictureBox1.Size = New System.Drawing.Size(464, 56)
        Me.PictureBox1.TabIndex = 19
        Me.PictureBox1.TabStop = False
        '
        'TabControl1
        '
        Me.TabControl1.Controls.Add(Me.tabBarcodeProps)
        Me.TabControl1.Controls.Add(Me.tabTextProps)
        Me.TabControl1.Controls.Add(Me.tabImageProps)
        Me.TabControl1.Controls.Add(Me.tabPDFProps)
        Me.TabControl1.Controls.Add(Me.tabCaptionProps)
        Me.TabControl1.Location = New System.Drawing.Point(8, 24)
        Me.TabControl1.Name = "TabControl1"
        Me.TabControl1.SelectedIndex = 0
        Me.TabControl1.ShowToolTips = True
        Me.TabControl1.Size = New System.Drawing.Size(552, 296)
        Me.TabControl1.TabIndex = 0
        '
        'tabBarcodeProps
        '
        Me.tabBarcodeProps.BackColor = System.Drawing.Color.FromArgb(CType(230, Byte), CType(230, Byte), CType(230, Byte))
        Me.tabBarcodeProps.Controls.Add(Me.Label28)
        Me.tabBarcodeProps.Controls.Add(Me.txtCompositeData)
        Me.tabBarcodeProps.Controls.Add(Me.Label2)
        Me.tabBarcodeProps.Controls.Add(Me.DataToEncode)
        Me.tabBarcodeProps.Controls.Add(Me.GroupBox1)
        Me.tabBarcodeProps.Location = New System.Drawing.Point(4, 24)
        Me.tabBarcodeProps.Name = "tabBarcodeProps"
        Me.tabBarcodeProps.Size = New System.Drawing.Size(544, 268)
        Me.tabBarcodeProps.TabIndex = 0
        Me.tabBarcodeProps.Text = "Barcode"
        '
        'Label28
        '
        Me.Label28.Location = New System.Drawing.Point(288, 8)
        Me.Label28.Name = "Label28"
        Me.Label28.Size = New System.Drawing.Size(208, 32)
        Me.Label28.TabIndex = 2
        Me.Label28.Text = "Composite Data (N/A for PDF417 && MicroPDF417 Symbologies)"
        '
        'txtCompositeData
        '
        Me.txtCompositeData.Location = New System.Drawing.Point(288, 40)
        Me.txtCompositeData.MaxLength = 150
        Me.txtCompositeData.Multiline = True
        Me.txtCompositeData.Name = "txtCompositeData"
        Me.txtCompositeData.ScrollBars = System.Windows.Forms.ScrollBars.Vertical
        Me.txtCompositeData.Size = New System.Drawing.Size(248, 40)
        Me.txtCompositeData.TabIndex = 3
        Me.txtCompositeData.Text = ""
        '
        'Label2
        '
        Me.Label2.Location = New System.Drawing.Point(16, 24)
        Me.Label2.Name = "Label2"
        Me.Label2.Size = New System.Drawing.Size(184, 16)
        Me.Label2.TabIndex = 0
        Me.Label2.Text = "Data To Encode in Barcode"
        '
        'DataToEncode
        '
        Me.DataToEncode.AcceptsReturn = True
        Me.DataToEncode.Location = New System.Drawing.Point(16, 40)
        Me.DataToEncode.Multiline = True
        Me.DataToEncode.Name = "DataToEncode"
        Me.DataToEncode.ScrollBars = System.Windows.Forms.ScrollBars.Vertical
        Me.DataToEncode.Size = New System.Drawing.Size(248, 40)
        Me.DataToEncode.TabIndex = 1
        Me.DataToEncode.Text = ""
        '
        'GroupBox1
        '
        Me.GroupBox1.Controls.Add(Me.lblSegmentsDesc)
        Me.GroupBox1.Controls.Add(Me.DataBarSuggested)
        Me.GroupBox1.Controls.Add(Me.lblSegments)
        Me.GroupBox1.Controls.Add(Me.txtSegments)
        Me.GroupBox1.Controls.Add(Me.txtUPCSeparation)
        Me.GroupBox1.Controls.Add(Me.lblTextMargin)
        Me.GroupBox1.Controls.Add(Me.TextMargin)
        Me.GroupBox1.Controls.Add(Me.lblLeftMargin)
        Me.GroupBox1.Controls.Add(Me.LeftMargin)
        Me.GroupBox1.Controls.Add(Me.lblTopMargin)
        Me.GroupBox1.Controls.Add(Me.TopMargin)
        Me.GroupBox1.Controls.Add(Me.lblXDimCM)
        Me.GroupBox1.Controls.Add(Me.XDimension)
        Me.GroupBox1.Controls.Add(Me.lblBarHeight)
        Me.GroupBox1.Controls.Add(Me.Label5)
        Me.GroupBox1.Controls.Add(Me.cboSymbology)
        Me.GroupBox1.Controls.Add(Me.BarHeight)
        Me.GroupBox1.Controls.Add(Me.ApplyTilde)
        Me.GroupBox1.Controls.Add(Me.UPCESystem)
        Me.GroupBox1.Controls.Add(Me.cboCode128Set)
        Me.GroupBox1.Controls.Add(Me.cboUPCESystem)
        Me.GroupBox1.Controls.Add(Me.Label6)
        Me.GroupBox1.Controls.Add(Me.Label7)
        Me.GroupBox1.FlatStyle = System.Windows.Forms.FlatStyle.System
        Me.GroupBox1.Location = New System.Drawing.Point(8, 88)
        Me.GroupBox1.Name = "GroupBox1"
        Me.GroupBox1.Size = New System.Drawing.Size(528, 176)
        Me.GroupBox1.TabIndex = 4
        Me.GroupBox1.TabStop = False
        Me.GroupBox1.Text = "Barcode Properties (Measurements are in CM)"
        '
        'lblSegmentsDesc
        '
        Me.lblSegmentsDesc.AutoSize = True
        Me.lblSegmentsDesc.Font = New System.Drawing.Font("Arial", 9.0!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
        Me.lblSegmentsDesc.Location = New System.Drawing.Point(360, 144)
        Me.lblSegmentsDesc.Name = "lblSegmentsDesc"
        Me.lblSegmentsDesc.Size = New System.Drawing.Size(150, 17)
        Me.lblSegmentsDesc.TabIndex = 23
        Me.lblSegmentsDesc.Text = "Creates a stacked symbol."
        Me.lblSegmentsDesc.TextAlign = System.Drawing.ContentAlignment.MiddleCenter
        Me.ToolTip1.SetToolTip(Me.lblSegmentsDesc, "Set the Segments property to 4 or 6 to create a stacked symbol.")
        '
        'DataBarSuggested
        '
        Me.DataBarSuggested.Checked = True
        Me.DataBarSuggested.CheckState = System.Windows.Forms.CheckState.Checked
        Me.DataBarSuggested.Font = New System.Drawing.Font("Arial", 9.0!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
        Me.DataBarSuggested.Location = New System.Drawing.Point(8, 144)
        Me.DataBarSuggested.Name = "DataBarSuggested"
        Me.DataBarSuggested.Size = New System.Drawing.Size(208, 24)
        Me.DataBarSuggested.TabIndex = 0
        Me.DataBarSuggested.Text = "DataBar Suggested Height"
        '
        'lblSegments
        '
        Me.lblSegments.AutoSize = True
        Me.lblSegments.Font = New System.Drawing.Font("Arial", 9.0!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
        Me.lblSegments.Location = New System.Drawing.Point(424, 122)
        Me.lblSegments.Name = "lblSegments"
        Me.lblSegments.Size = New System.Drawing.Size(60, 17)
        Me.lblSegments.TabIndex = 22
        Me.lblSegments.Text = "Segments"
        Me.lblSegments.TextAlign = System.Drawing.ContentAlignment.MiddleCenter
        Me.ToolTip1.SetToolTip(Me.lblSegments, "Set the Segments property to 4 or 6 to create a stacked symbol.")
        '
        'txtSegments
        '
        Me.txtSegments.Location = New System.Drawing.Point(360, 120)
        Me.txtSegments.MaxLength = 5
        Me.txtSegments.Name = "txtSegments"
        Me.txtSegments.Size = New System.Drawing.Size(56, 21)
        Me.txtSegments.TabIndex = 21
        Me.txtSegments.Text = "22"
        '
        'txtUPCSeparation
        '
        Me.txtUPCSeparation.Location = New System.Drawing.Point(360, 91)
        Me.txtUPCSeparation.MaxLength = 5
        Me.txtUPCSeparation.Name = "txtUPCSeparation"
        Me.txtUPCSeparation.Size = New System.Drawing.Size(56, 21)
        Me.txtUPCSeparation.TabIndex = 19
        Me.txtUPCSeparation.Text = ""
        '
        'lblTextMargin
        '
        Me.lblTextMargin.AutoSize = True
        Me.lblTextMargin.Font = New System.Drawing.Font("Arial", 9.0!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
        Me.lblTextMargin.Location = New System.Drawing.Point(256, 95)
        Me.lblTextMargin.Name = "lblTextMargin"
        Me.lblTextMargin.Size = New System.Drawing.Size(94, 17)
        Me.lblTextMargin.TabIndex = 13
        Me.lblTextMargin.Text = "Text Margin (in.)"
        '
        'TextMargin
        '
        Me.TextMargin.Location = New System.Drawing.Point(200, 91)
        Me.TextMargin.MaxLength = 5
        Me.TextMargin.Name = "TextMargin"
        Me.TextMargin.Size = New System.Drawing.Size(48, 21)
        Me.TextMargin.TabIndex = 12
        Me.TextMargin.Text = ""
        '
        'lblLeftMargin
        '
        Me.lblLeftMargin.AutoSize = True
        Me.lblLeftMargin.Font = New System.Drawing.Font("Arial", 9.0!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
        Me.lblLeftMargin.Location = New System.Drawing.Point(256, 67)
        Me.lblLeftMargin.Name = "lblLeftMargin"
        Me.lblLeftMargin.Size = New System.Drawing.Size(91, 17)
        Me.lblLeftMargin.TabIndex = 11
        Me.lblLeftMargin.Text = "Left Margin (in.)"
        '
        'LeftMargin
        '
        Me.LeftMargin.Location = New System.Drawing.Point(200, 63)
        Me.LeftMargin.MaxLength = 5
        Me.LeftMargin.Name = "LeftMargin"
        Me.LeftMargin.Size = New System.Drawing.Size(48, 21)
        Me.LeftMargin.TabIndex = 10
        Me.LeftMargin.Text = ""
        '
        'lblTopMargin
        '
        Me.lblTopMargin.AutoSize = True
        Me.lblTopMargin.Font = New System.Drawing.Font("Arial", 9.0!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
        Me.lblTopMargin.Location = New System.Drawing.Point(256, 38)
        Me.lblTopMargin.Name = "lblTopMargin"
        Me.lblTopMargin.Size = New System.Drawing.Size(92, 17)
        Me.lblTopMargin.TabIndex = 9
        Me.lblTopMargin.Text = "Top Margin (in.)"
        '
        'TopMargin
        '
        Me.TopMargin.Location = New System.Drawing.Point(200, 34)
        Me.TopMargin.MaxLength = 5
        Me.TopMargin.Name = "TopMargin"
        Me.TopMargin.Size = New System.Drawing.Size(48, 21)
        Me.TopMargin.TabIndex = 8
        Me.TopMargin.Text = ""
        '
        'lblXDimCM
        '
        Me.lblXDimCM.AutoSize = True
        Me.lblXDimCM.Font = New System.Drawing.Font("Arial", 9.0!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
        Me.lblXDimCM.Location = New System.Drawing.Point(64, 95)
        Me.lblXDimCM.Name = "lblXDimCM"
        Me.lblXDimCM.Size = New System.Drawing.Size(115, 17)
        Me.lblXDimCM.TabIndex = 5
        Me.lblXDimCM.Text = "X Dimension (MILS)"
        '
        'XDimension
        '
        Me.XDimension.Location = New System.Drawing.Point(8, 91)
        Me.XDimension.MaxLength = 5
        Me.XDimension.Name = "XDimension"
        Me.XDimension.Size = New System.Drawing.Size(48, 21)
        Me.XDimension.TabIndex = 4
        Me.XDimension.Text = ""
        '
        'lblBarHeight
        '
        Me.lblBarHeight.AutoSize = True
        Me.lblBarHeight.Font = New System.Drawing.Font("Arial", 9.0!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
        Me.lblBarHeight.Location = New System.Drawing.Point(64, 67)
        Me.lblBarHeight.Name = "lblBarHeight"
        Me.lblBarHeight.Size = New System.Drawing.Size(88, 17)
        Me.lblBarHeight.TabIndex = 3
        Me.lblBarHeight.Text = "Bar Height (in.)"
        '
        'Label5
        '
        Me.Label5.AutoSize = True
        Me.Label5.Font = New System.Drawing.Font("Arial", 9.0!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
        Me.Label5.Location = New System.Drawing.Point(8, 16)
        Me.Label5.Name = "Label5"
        Me.Label5.Size = New System.Drawing.Size(66, 17)
        Me.Label5.TabIndex = 0
        Me.Label5.Text = "Symbology"
        '
        'cboSymbology
        '
        Me.cboSymbology.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList
        Me.cboSymbology.Font = New System.Drawing.Font("Arial", 9.0!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
        Me.cboSymbology.Location = New System.Drawing.Point(8, 32)
        Me.cboSymbology.Name = "cboSymbology"
        Me.cboSymbology.Size = New System.Drawing.Size(184, 23)
        Me.cboSymbology.Sorted = True
        Me.cboSymbology.TabIndex = 1
        '
        'BarHeight
        '
        Me.BarHeight.Location = New System.Drawing.Point(8, 63)
        Me.BarHeight.MaxLength = 5
        Me.BarHeight.Name = "BarHeight"
        Me.BarHeight.Size = New System.Drawing.Size(48, 21)
        Me.BarHeight.TabIndex = 2
        Me.BarHeight.Text = ""
        '
        'ApplyTilde
        '
        Me.ApplyTilde.Font = New System.Drawing.Font("Arial", 9.0!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
        Me.ApplyTilde.Location = New System.Drawing.Point(8, 120)
        Me.ApplyTilde.Name = "ApplyTilde"
        Me.ApplyTilde.Size = New System.Drawing.Size(272, 23)
        Me.ApplyTilde.TabIndex = 14
        Me.ApplyTilde.Text = "Apply Tilde in Code 128 and PDF barcodes"
        '
        'UPCESystem
        '
        Me.UPCESystem.AutoSize = True
        Me.UPCESystem.Font = New System.Drawing.Font("Arial", 9.0!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
        Me.UPCESystem.Location = New System.Drawing.Point(424, 67)
        Me.UPCESystem.Name = "UPCESystem"
        Me.UPCESystem.Size = New System.Drawing.Size(83, 17)
        Me.UPCESystem.TabIndex = 18
        Me.UPCESystem.Text = "UPCE System"
        '
        'cboCode128Set
        '
        Me.cboCode128Set.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList
        Me.cboCode128Set.Location = New System.Drawing.Point(360, 32)
        Me.cboCode128Set.Name = "cboCode128Set"
        Me.cboCode128Set.Size = New System.Drawing.Size(56, 23)
        Me.cboCode128Set.TabIndex = 15
        '
        'cboUPCESystem
        '
        Me.cboUPCESystem.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList
        Me.cboUPCESystem.Location = New System.Drawing.Point(360, 61)
        Me.cboUPCESystem.Name = "cboUPCESystem"
        Me.cboUPCESystem.Size = New System.Drawing.Size(56, 23)
        Me.cboUPCESystem.TabIndex = 17
        '
        'Label6
        '
        Me.Label6.AutoSize = True
        Me.Label6.Font = New System.Drawing.Font("Arial", 9.0!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
        Me.Label6.Location = New System.Drawing.Point(424, 95)
        Me.Label6.Name = "Label6"
        Me.Label6.TabIndex = 20
        Me.Label6.Text = "Supp. Separation"
        Me.Label6.TextAlign = System.Drawing.ContentAlignment.MiddleCenter
        '
        'Label7
        '
        Me.Label7.AutoSize = True
        Me.Label7.Font = New System.Drawing.Font("Arial", 9.0!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
        Me.Label7.Location = New System.Drawing.Point(424, 38)
        Me.Label7.Name = "Label7"
        Me.Label7.Size = New System.Drawing.Size(80, 17)
        Me.Label7.TabIndex = 16
        Me.Label7.Text = "Code 128 Set"
        '
        'tabTextProps
        '
        Me.tabTextProps.BackColor = System.Drawing.Color.FromArgb(CType(230, Byte), CType(230, Byte), CType(230, Byte))
        Me.tabTextProps.Controls.Add(Me.chkIncludeLinkageFlag)
        Me.tabTextProps.Controls.Add(Me.chkIncludeAI)
        Me.tabTextProps.Controls.Add(Me.lblBackgroundColor)
        Me.tabTextProps.Controls.Add(Me.btnSetBackgroundColor)
        Me.tabTextProps.Controls.Add(Me.Label23)
        Me.tabTextProps.Controls.Add(Me.lblBarColor)
        Me.tabTextProps.Controls.Add(Me.btnSetBarColor)
        Me.tabTextProps.Controls.Add(Me.Label14)
        Me.tabTextProps.Controls.Add(Me.lblHRTextFont)
        Me.tabTextProps.Controls.Add(Me.lblHRTextColor)
        Me.tabTextProps.Controls.Add(Me.btnSetHRTextFont)
        Me.tabTextProps.Controls.Add(Me.btnSetHRText)
        Me.tabTextProps.Controls.Add(Me.Label24)
        Me.tabTextProps.Controls.Add(Me.Label25)
        Me.tabTextProps.Controls.Add(Me.chkTextAbove)
        Me.tabTextProps.Controls.Add(Me.chkShowText)
        Me.tabTextProps.Location = New System.Drawing.Point(4, 22)
        Me.tabTextProps.Name = "tabTextProps"
        Me.tabTextProps.Size = New System.Drawing.Size(544, 270)
        Me.tabTextProps.TabIndex = 1
        Me.tabTextProps.Text = "Text & Color"
        '
        'chkIncludeLinkageFlag
        '
        Me.chkIncludeLinkageFlag.Font = New System.Drawing.Font("Arial", 9.0!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
        Me.chkIncludeLinkageFlag.Location = New System.Drawing.Point(312, 8)
        Me.chkIncludeLinkageFlag.Name = "chkIncludeLinkageFlag"
        Me.chkIncludeLinkageFlag.Size = New System.Drawing.Size(192, 24)
        Me.chkIncludeLinkageFlag.TabIndex = 1
        Me.chkIncludeLinkageFlag.Text = "Include Linkage Flag in Text"
        '
        'chkIncludeAI
        '
        Me.chkIncludeAI.Checked = True
        Me.chkIncludeAI.CheckState = System.Windows.Forms.CheckState.Checked
        Me.chkIncludeAI.Font = New System.Drawing.Font("Arial", 9.0!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
        Me.chkIncludeAI.Location = New System.Drawing.Point(32, 8)
        Me.chkIncludeAI.Name = "chkIncludeAI"
        Me.chkIncludeAI.Size = New System.Drawing.Size(248, 24)
        Me.chkIncludeAI.TabIndex = 0
        Me.chkIncludeAI.Text = "Include AI in Text (DataBar Only)"
        '
        'lblBackgroundColor
        '
        Me.lblBackgroundColor.BackColor = System.Drawing.Color.FromArgb(CType(192, Byte), CType(0, Byte), CType(0, Byte))
        Me.lblBackgroundColor.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle
        Me.lblBackgroundColor.Location = New System.Drawing.Point(408, 200)
        Me.lblBackgroundColor.Name = "lblBackgroundColor"
        Me.lblBackgroundColor.Size = New System.Drawing.Size(25, 13)
        Me.lblBackgroundColor.TabIndex = 14
        Me.lblBackgroundColor.Text = "Label24"
        '
        'btnSetBackgroundColor
        '
        Me.btnSetBackgroundColor.Location = New System.Drawing.Point(456, 192)
        Me.btnSetBackgroundColor.Name = "btnSetBackgroundColor"
        Me.btnSetBackgroundColor.Size = New System.Drawing.Size(32, 25)
        Me.btnSetBackgroundColor.TabIndex = 15
        Me.btnSetBackgroundColor.Text = "Set"
        '
        'Label23
        '
        Me.Label23.Font = New System.Drawing.Font("Arial", 9.0!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
        Me.Label23.ImageAlign = System.Drawing.ContentAlignment.BottomRight
        Me.Label23.Location = New System.Drawing.Point(288, 192)
        Me.Label23.Name = "Label23"
        Me.Label23.Size = New System.Drawing.Size(104, 26)
        Me.Label23.TabIndex = 13
        Me.Label23.Text = "Background Color"
        Me.Label23.TextAlign = System.Drawing.ContentAlignment.MiddleCenter
        '
        'lblBarColor
        '
        Me.lblBarColor.BackColor = System.Drawing.Color.FromArgb(CType(192, Byte), CType(0, Byte), CType(0, Byte))
        Me.lblBarColor.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle
        Me.lblBarColor.Location = New System.Drawing.Point(152, 200)
        Me.lblBarColor.Name = "lblBarColor"
        Me.lblBarColor.Size = New System.Drawing.Size(25, 13)
        Me.lblBarColor.TabIndex = 11
        Me.lblBarColor.Text = "Label24"
        '
        'btnSetBarColor
        '
        Me.btnSetBarColor.Location = New System.Drawing.Point(200, 192)
        Me.btnSetBarColor.Name = "btnSetBarColor"
        Me.btnSetBarColor.Size = New System.Drawing.Size(32, 25)
        Me.btnSetBarColor.TabIndex = 12
        Me.btnSetBarColor.Text = "Set"
        '
        'Label14
        '
        Me.Label14.AutoSize = True
        Me.Label14.Font = New System.Drawing.Font("Arial", 9.0!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
        Me.Label14.ImageAlign = System.Drawing.ContentAlignment.BottomRight
        Me.Label14.Location = New System.Drawing.Point(48, 200)
        Me.Label14.Name = "Label14"
        Me.Label14.Size = New System.Drawing.Size(77, 17)
        Me.Label14.TabIndex = 10
        Me.Label14.Text = "Color of Bars"
        Me.Label14.TextAlign = System.Drawing.ContentAlignment.MiddleCenter
        '
        'lblHRTextFont
        '
        Me.lblHRTextFont.Location = New System.Drawing.Point(440, 96)
        Me.lblHRTextFont.Name = "lblHRTextFont"
        Me.lblHRTextFont.Size = New System.Drawing.Size(96, 56)
        Me.lblHRTextFont.TabIndex = 9
        Me.lblHRTextFont.Text = "Arial, 9"
        Me.lblHRTextFont.TextAlign = System.Drawing.ContentAlignment.MiddleCenter
        '
        'lblHRTextColor
        '
        Me.lblHRTextColor.BackColor = System.Drawing.Color.FromArgb(CType(192, Byte), CType(0, Byte), CType(0, Byte))
        Me.lblHRTextColor.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle
        Me.lblHRTextColor.Location = New System.Drawing.Point(152, 120)
        Me.lblHRTextColor.Name = "lblHRTextColor"
        Me.lblHRTextColor.Size = New System.Drawing.Size(25, 13)
        Me.lblHRTextColor.TabIndex = 5
        Me.lblHRTextColor.Text = "Label24"
        '
        'btnSetHRTextFont
        '
        Me.btnSetHRTextFont.Location = New System.Drawing.Point(400, 112)
        Me.btnSetHRTextFont.Name = "btnSetHRTextFont"
        Me.btnSetHRTextFont.Size = New System.Drawing.Size(32, 25)
        Me.btnSetHRTextFont.TabIndex = 8
        Me.btnSetHRTextFont.Text = "Set"
        '
        'btnSetHRText
        '
        Me.btnSetHRText.Location = New System.Drawing.Point(200, 112)
        Me.btnSetHRText.Name = "btnSetHRText"
        Me.btnSetHRText.Size = New System.Drawing.Size(32, 25)
        Me.btnSetHRText.TabIndex = 6
        Me.btnSetHRText.Text = "Set"
        '
        'Label24
        '
        Me.Label24.Font = New System.Drawing.Font("Arial", 9.0!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
        Me.Label24.Location = New System.Drawing.Point(328, 112)
        Me.Label24.Name = "Label24"
        Me.Label24.Size = New System.Drawing.Size(64, 32)
        Me.Label24.TabIndex = 7
        Me.Label24.Text = "Text Font"
        Me.Label24.TextAlign = System.Drawing.ContentAlignment.MiddleCenter
        '
        'Label25
        '
        Me.Label25.Font = New System.Drawing.Font("Arial", 9.0!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
        Me.Label25.ImageAlign = System.Drawing.ContentAlignment.BottomRight
        Me.Label25.Location = New System.Drawing.Point(56, 112)
        Me.Label25.Name = "Label25"
        Me.Label25.Size = New System.Drawing.Size(80, 26)
        Me.Label25.TabIndex = 4
        Me.Label25.Text = "Text Color"
        Me.Label25.TextAlign = System.Drawing.ContentAlignment.MiddleCenter
        '
        'chkTextAbove
        '
        Me.chkTextAbove.Font = New System.Drawing.Font("Arial", 9.0!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
        Me.chkTextAbove.Location = New System.Drawing.Point(32, 56)
        Me.chkTextAbove.Name = "chkTextAbove"
        Me.chkTextAbove.Size = New System.Drawing.Size(192, 24)
        Me.chkTextAbove.TabIndex = 2
        Me.chkTextAbove.Text = "Place Text Above Barcode"
        '
        'chkShowText
        '
        Me.chkShowText.Checked = True
        Me.chkShowText.CheckState = System.Windows.Forms.CheckState.Checked
        Me.chkShowText.Font = New System.Drawing.Font("Arial", 9.0!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
        Me.chkShowText.Location = New System.Drawing.Point(312, 56)
        Me.chkShowText.Name = "chkShowText"
        Me.chkShowText.Size = New System.Drawing.Size(192, 24)
        Me.chkShowText.TabIndex = 3
        Me.chkShowText.Text = "Show Human Readable Text"
        '
        'tabImageProps
        '
        Me.tabImageProps.BackColor = System.Drawing.Color.FromArgb(CType(230, Byte), CType(230, Byte), CType(230, Byte))
        Me.tabImageProps.Controls.Add(Me.GroupBox2)
        Me.tabImageProps.Location = New System.Drawing.Point(4, 22)
        Me.tabImageProps.Name = "tabImageProps"
        Me.tabImageProps.Size = New System.Drawing.Size(544, 270)
        Me.tabImageProps.TabIndex = 2
        Me.tabImageProps.Text = "Image"
        '
        'GroupBox2
        '
        Me.GroupBox2.Controls.Add(Me.optBitmap)
        Me.GroupBox2.Controls.Add(Me.Label27)
        Me.GroupBox2.Controls.Add(Me.optIndMF)
        Me.GroupBox2.Controls.Add(Me.cboOrientation)
        Me.GroupBox2.Controls.Add(Me.txtImageDPI)
        Me.GroupBox2.Controls.Add(Me.Label3)
        Me.GroupBox2.Controls.Add(Me.Label11)
        Me.GroupBox2.FlatStyle = System.Windows.Forms.FlatStyle.System
        Me.GroupBox2.Location = New System.Drawing.Point(112, 8)
        Me.GroupBox2.Name = "GroupBox2"
        Me.GroupBox2.Size = New System.Drawing.Size(304, 232)
        Me.GroupBox2.TabIndex = 0
        Me.GroupBox2.TabStop = False
        Me.GroupBox2.Text = "Image Properties"
        '
        'optBitmap
        '
        Me.optBitmap.BackColor = System.Drawing.Color.FromArgb(CType(230, Byte), CType(230, Byte), CType(230, Byte))
        Me.optBitmap.Font = New System.Drawing.Font("Arial", 9.0!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
        Me.optBitmap.ForeColor = System.Drawing.Color.FromArgb(CType(192, Byte), CType(0, Byte), CType(0, Byte))
        Me.optBitmap.Location = New System.Drawing.Point(40, 176)
        Me.optBitmap.Name = "optBitmap"
        Me.optBitmap.Size = New System.Drawing.Size(208, 24)
        Me.optBitmap.TabIndex = 14
        Me.optBitmap.Text = "Bitmap"
        '
        'Label27
        '
        Me.Label27.BackColor = System.Drawing.Color.FromArgb(CType(230, Byte), CType(230, Byte), CType(230, Byte))
        Me.Label27.Font = New System.Drawing.Font("Arial", 9.0!, System.Drawing.FontStyle.Underline, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
        Me.Label27.ForeColor = System.Drawing.Color.Black
        Me.Label27.Location = New System.Drawing.Point(40, 128)
        Me.Label27.Name = "Label27"
        Me.Label27.Size = New System.Drawing.Size(156, 16)
        Me.Label27.TabIndex = 15
        Me.Label27.Text = "Clipboard Image Type"
        Me.Label27.TextAlign = System.Drawing.ContentAlignment.MiddleLeft
        '
        'optIndMF
        '
        Me.optIndMF.BackColor = System.Drawing.Color.FromArgb(CType(230, Byte), CType(230, Byte), CType(230, Byte))
        Me.optIndMF.Font = New System.Drawing.Font("Arial", 9.0!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
        Me.optIndMF.ForeColor = System.Drawing.Color.FromArgb(CType(192, Byte), CType(0, Byte), CType(0, Byte))
        Me.optIndMF.Location = New System.Drawing.Point(40, 152)
        Me.optIndMF.Name = "optIndMF"
        Me.optIndMF.Size = New System.Drawing.Size(208, 24)
        Me.optIndMF.TabIndex = 13
        Me.optIndMF.Text = "Resolution Independent Metafile"
        '
        'cboOrientation
        '
        Me.cboOrientation.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList
        Me.cboOrientation.Location = New System.Drawing.Point(80, 80)
        Me.cboOrientation.MaxDropDownItems = 4
        Me.cboOrientation.Name = "cboOrientation"
        Me.cboOrientation.Size = New System.Drawing.Size(56, 23)
        Me.cboOrientation.TabIndex = 6
        '
        'txtImageDPI
        '
        Me.txtImageDPI.Location = New System.Drawing.Point(80, 40)
        Me.txtImageDPI.Name = "txtImageDPI"
        Me.txtImageDPI.Size = New System.Drawing.Size(56, 21)
        Me.txtImageDPI.TabIndex = 2
        Me.txtImageDPI.Text = ""
        '
        'Label3
        '
        Me.Label3.AutoSize = True
        Me.Label3.Font = New System.Drawing.Font("Arial", 9.0!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
        Me.Label3.Location = New System.Drawing.Point(144, 48)
        Me.Label3.Name = "Label3"
        Me.Label3.Size = New System.Drawing.Size(63, 17)
        Me.Label3.TabIndex = 3
        Me.Label3.Text = "Image DPI"
        '
        'Label11
        '
        Me.Label11.AutoSize = True
        Me.Label11.Font = New System.Drawing.Font("Arial", 9.0!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
        Me.Label11.Location = New System.Drawing.Point(144, 88)
        Me.Label11.Name = "Label11"
        Me.Label11.Size = New System.Drawing.Size(65, 17)
        Me.Label11.TabIndex = 7
        Me.Label11.Text = "Orientation"
        '
        'tabPDFProps
        '
        Me.tabPDFProps.BackColor = System.Drawing.Color.FromArgb(CType(230, Byte), CType(230, Byte), CType(230, Byte))
        Me.tabPDFProps.Controls.Add(Me.GroupBox3)
        Me.tabPDFProps.Location = New System.Drawing.Point(4, 22)
        Me.tabPDFProps.Name = "tabPDFProps"
        Me.tabPDFProps.Size = New System.Drawing.Size(544, 270)
        Me.tabPDFProps.TabIndex = 4
        Me.tabPDFProps.Text = "PDF"
        '
        'GroupBox3
        '
        Me.GroupBox3.Controls.Add(Me.Label30)
        Me.GroupBox3.Controls.Add(Me.txtXYRatio)
        Me.GroupBox3.Controls.Add(Me.Label29)
        Me.GroupBox3.Controls.Add(Me.cboECLevel)
        Me.GroupBox3.Controls.Add(Me.chkTruncate)
        Me.GroupBox3.Controls.Add(Me.lblNumPDFColumns)
        Me.GroupBox3.Controls.Add(Me.lblPDFMaxLength)
        Me.GroupBox3.Controls.Add(Me.cboCompactionType)
        Me.GroupBox3.Controls.Add(Me.txtNumberPDFColumns)
        Me.GroupBox3.FlatStyle = System.Windows.Forms.FlatStyle.System
        Me.GroupBox3.Location = New System.Drawing.Point(8, 6)
        Me.GroupBox3.Name = "GroupBox3"
        Me.GroupBox3.Size = New System.Drawing.Size(528, 234)
        Me.GroupBox3.TabIndex = 1
        Me.GroupBox3.TabStop = False
        Me.GroupBox3.Text = "MicroPDF417 && PDF417 Properties"
        '
        'Label30
        '
        Me.Label30.Font = New System.Drawing.Font("Arial", 9.0!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
        Me.Label30.Location = New System.Drawing.Point(400, 196)
        Me.Label30.Name = "Label30"
        Me.Label30.Size = New System.Drawing.Size(112, 16)
        Me.Label30.TabIndex = 20
        Me.Label30.Text = "X to Y Ratio"
        '
        'txtXYRatio
        '
        Me.txtXYRatio.Font = New System.Drawing.Font("Arial", 9.0!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
        Me.txtXYRatio.Location = New System.Drawing.Point(368, 194)
        Me.txtXYRatio.MaxLength = 1
        Me.txtXYRatio.Name = "txtXYRatio"
        Me.txtXYRatio.Size = New System.Drawing.Size(24, 21)
        Me.txtXYRatio.TabIndex = 19
        Me.txtXYRatio.Text = ""
        '
        'Label29
        '
        Me.Label29.Font = New System.Drawing.Font("Arial", 9.0!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
        Me.Label29.Location = New System.Drawing.Point(216, 188)
        Me.Label29.Name = "Label29"
        Me.Label29.Size = New System.Drawing.Size(112, 32)
        Me.Label29.TabIndex = 18
        Me.Label29.Text = "PDF417 Error Correction Level"
        '
        'cboECLevel
        '
        Me.cboECLevel.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList
        Me.cboECLevel.Items.AddRange(New Object() {"Zero", "One", "Two", "Three", "Four", "Five", "Six", "Seven", "Eight"})
        Me.cboECLevel.Location = New System.Drawing.Point(152, 193)
        Me.cboECLevel.Name = "cboECLevel"
        Me.cboECLevel.Size = New System.Drawing.Size(64, 23)
        Me.cboECLevel.TabIndex = 17
        '
        'chkTruncate
        '
        Me.chkTruncate.Location = New System.Drawing.Point(8, 192)
        Me.chkTruncate.Name = "chkTruncate"
        Me.chkTruncate.Size = New System.Drawing.Size(128, 24)
        Me.chkTruncate.TabIndex = 6
        Me.chkTruncate.Text = "Truncate PDF417"
        '
        'lblNumPDFColumns
        '
        Me.lblNumPDFColumns.ForeColor = System.Drawing.Color.Black
        Me.lblNumPDFColumns.Location = New System.Drawing.Point(120, 120)
        Me.lblNumPDFColumns.Name = "lblNumPDFColumns"
        Me.lblNumPDFColumns.Size = New System.Drawing.Size(400, 48)
        Me.lblNumPDFColumns.TabIndex = 5
        '
        'lblPDFMaxLength
        '
        Me.lblPDFMaxLength.ForeColor = System.Drawing.Color.Black
        Me.lblPDFMaxLength.Location = New System.Drawing.Point(120, 24)
        Me.lblPDFMaxLength.Name = "lblPDFMaxLength"
        Me.lblPDFMaxLength.Size = New System.Drawing.Size(400, 64)
        Me.lblPDFMaxLength.TabIndex = 4
        '
        'cboCompactionType
        '
        Me.cboCompactionType.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList
        Me.cboCompactionType.Items.AddRange(New Object() {"Binary", "Numeric", "Text"})
        Me.cboCompactionType.Location = New System.Drawing.Point(8, 40)
        Me.cboCompactionType.MaxDropDownItems = 3
        Me.cboCompactionType.Name = "cboCompactionType"
        Me.cboCompactionType.Size = New System.Drawing.Size(96, 23)
        Me.cboCompactionType.Sorted = True
        Me.cboCompactionType.TabIndex = 0
        '
        'txtNumberPDFColumns
        '
        Me.txtNumberPDFColumns.Font = New System.Drawing.Font("Arial", 9.0!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
        Me.txtNumberPDFColumns.Location = New System.Drawing.Point(48, 136)
        Me.txtNumberPDFColumns.Name = "txtNumberPDFColumns"
        Me.txtNumberPDFColumns.Size = New System.Drawing.Size(56, 21)
        Me.txtNumberPDFColumns.TabIndex = 2
        Me.txtNumberPDFColumns.Text = ""
        '
        'tabCaptionProps
        '
        Me.tabCaptionProps.BackColor = System.Drawing.Color.FromArgb(CType(230, Byte), CType(230, Byte), CType(230, Byte))
        Me.tabCaptionProps.Controls.Add(Me.GroupBox4)
        Me.tabCaptionProps.Location = New System.Drawing.Point(4, 22)
        Me.tabCaptionProps.Name = "tabCaptionProps"
        Me.tabCaptionProps.Size = New System.Drawing.Size(544, 270)
        Me.tabCaptionProps.TabIndex = 3
        Me.tabCaptionProps.Text = "Caption "
        '
        'GroupBox4
        '
        Me.GroupBox4.Controls.Add(Me.cmdSetBottomCaptionFont)
        Me.GroupBox4.Controls.Add(Me.Label26)
        Me.GroupBox4.Controls.Add(Me.cmdCaptionFont)
        Me.GroupBox4.Controls.Add(Me.lblCaptionFont)
        Me.GroupBox4.Controls.Add(Me.lblBottomCaptionColor)
        Me.GroupBox4.Controls.Add(Me.lblUpperCaptionColor)
        Me.GroupBox4.Controls.Add(Me.txtUpperCaption)
        Me.GroupBox4.Controls.Add(Me.txtBottomCaption)
        Me.GroupBox4.Controls.Add(Me.txtBottomSpace)
        Me.GroupBox4.Controls.Add(Me.txtUpperSpace)
        Me.GroupBox4.Controls.Add(Me.cmdLowerColor)
        Me.GroupBox4.Controls.Add(Me.cmdSetUpperColor)
        Me.GroupBox4.Controls.Add(Me.cboBottomAlignment)
        Me.GroupBox4.Controls.Add(Me.cboUpperAlignment)
        Me.GroupBox4.Controls.Add(Me.lblLowerCaptionSpace)
        Me.GroupBox4.Controls.Add(Me.Label20)
        Me.GroupBox4.Controls.Add(Me.Label21)
        Me.GroupBox4.Controls.Add(Me.Label22)
        Me.GroupBox4.Controls.Add(Me.lblUpperCaptionSpace)
        Me.GroupBox4.Controls.Add(Me.Label17)
        Me.GroupBox4.Controls.Add(Me.Label16)
        Me.GroupBox4.Controls.Add(Me.Label15)
        Me.GroupBox4.Location = New System.Drawing.Point(8, 8)
        Me.GroupBox4.Name = "GroupBox4"
        Me.GroupBox4.Size = New System.Drawing.Size(528, 224)
        Me.GroupBox4.TabIndex = 0
        Me.GroupBox4.TabStop = False
        Me.GroupBox4.Text = "Barcode Captions"
        '
        'cmdSetBottomCaptionFont
        '
        Me.cmdSetBottomCaptionFont.Location = New System.Drawing.Point(488, 188)
        Me.cmdSetBottomCaptionFont.Name = "cmdSetBottomCaptionFont"
        Me.cmdSetBottomCaptionFont.Size = New System.Drawing.Size(32, 24)
        Me.cmdSetBottomCaptionFont.TabIndex = 26
        Me.cmdSetBottomCaptionFont.Text = "Set"
        '
        'Label26
        '
        Me.Label26.AutoSize = True
        Me.Label26.Font = New System.Drawing.Font("Arial", 9.0!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
        Me.Label26.Location = New System.Drawing.Point(312, 192)
        Me.Label26.Name = "Label26"
        Me.Label26.Size = New System.Drawing.Size(112, 17)
        Me.Label26.TabIndex = 25
        Me.Label26.Text = "Lower Caption Font"
        '
        'cmdCaptionFont
        '
        Me.cmdCaptionFont.Location = New System.Drawing.Point(184, 188)
        Me.cmdCaptionFont.Name = "cmdCaptionFont"
        Me.cmdCaptionFont.Size = New System.Drawing.Size(32, 24)
        Me.cmdCaptionFont.TabIndex = 24
        Me.cmdCaptionFont.Text = "Set"
        '
        'lblCaptionFont
        '
        Me.lblCaptionFont.AutoSize = True
        Me.lblCaptionFont.Font = New System.Drawing.Font("Arial", 9.0!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
        Me.lblCaptionFont.Location = New System.Drawing.Point(8, 192)
        Me.lblCaptionFont.Name = "lblCaptionFont"
        Me.lblCaptionFont.Size = New System.Drawing.Size(112, 17)
        Me.lblCaptionFont.TabIndex = 23
        Me.lblCaptionFont.Text = "Upper Caption Font"
        '
        'lblBottomCaptionColor
        '
        Me.lblBottomCaptionColor.BackColor = System.Drawing.Color.FromArgb(CType(192, Byte), CType(0, Byte), CType(0, Byte))
        Me.lblBottomCaptionColor.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle
        Me.lblBottomCaptionColor.Location = New System.Drawing.Point(456, 123)
        Me.lblBottomCaptionColor.Name = "lblBottomCaptionColor"
        Me.lblBottomCaptionColor.Size = New System.Drawing.Size(25, 16)
        Me.lblBottomCaptionColor.TabIndex = 15
        Me.lblBottomCaptionColor.Text = "Label24"
        '
        'lblUpperCaptionColor
        '
        Me.lblUpperCaptionColor.BackColor = System.Drawing.Color.FromArgb(CType(192, Byte), CType(0, Byte), CType(0, Byte))
        Me.lblUpperCaptionColor.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle
        Me.lblUpperCaptionColor.Location = New System.Drawing.Point(152, 123)
        Me.lblUpperCaptionColor.Name = "lblUpperCaptionColor"
        Me.lblUpperCaptionColor.Size = New System.Drawing.Size(25, 16)
        Me.lblUpperCaptionColor.TabIndex = 5
        Me.lblUpperCaptionColor.Text = "Label24"
        '
        'txtUpperCaption
        '
        Me.txtUpperCaption.AutoSize = False
        Me.txtUpperCaption.Location = New System.Drawing.Point(8, 40)
        Me.txtUpperCaption.Multiline = True
        Me.txtUpperCaption.Name = "txtUpperCaption"
        Me.txtUpperCaption.Size = New System.Drawing.Size(208, 32)
        Me.txtUpperCaption.TabIndex = 1
        Me.txtUpperCaption.Text = ""
        '
        'txtBottomCaption
        '
        Me.txtBottomCaption.AutoSize = False
        Me.txtBottomCaption.Location = New System.Drawing.Point(312, 40)
        Me.txtBottomCaption.Multiline = True
        Me.txtBottomCaption.Name = "txtBottomCaption"
        Me.txtBottomCaption.Size = New System.Drawing.Size(208, 32)
        Me.txtBottomCaption.TabIndex = 11
        Me.txtBottomCaption.Text = ""
        '
        'txtBottomSpace
        '
        Me.txtBottomSpace.Location = New System.Drawing.Point(488, 155)
        Me.txtBottomSpace.Name = "txtBottomSpace"
        Me.txtBottomSpace.Size = New System.Drawing.Size(32, 21)
        Me.txtBottomSpace.TabIndex = 18
        Me.txtBottomSpace.Text = ""
        '
        'txtUpperSpace
        '
        Me.txtUpperSpace.Location = New System.Drawing.Point(184, 155)
        Me.txtUpperSpace.Name = "txtUpperSpace"
        Me.txtUpperSpace.Size = New System.Drawing.Size(32, 21)
        Me.txtUpperSpace.TabIndex = 9
        Me.txtUpperSpace.Text = ""
        '
        'cmdLowerColor
        '
        Me.cmdLowerColor.Location = New System.Drawing.Point(488, 119)
        Me.cmdLowerColor.Name = "cmdLowerColor"
        Me.cmdLowerColor.Size = New System.Drawing.Size(32, 24)
        Me.cmdLowerColor.TabIndex = 16
        Me.cmdLowerColor.Text = "Set"
        '
        'cmdSetUpperColor
        '
        Me.cmdSetUpperColor.Location = New System.Drawing.Point(184, 119)
        Me.cmdSetUpperColor.Name = "cmdSetUpperColor"
        Me.cmdSetUpperColor.Size = New System.Drawing.Size(32, 24)
        Me.cmdSetUpperColor.TabIndex = 6
        Me.cmdSetUpperColor.Text = "Set"
        '
        'cboBottomAlignment
        '
        Me.cboBottomAlignment.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList
        Me.cboBottomAlignment.Items.AddRange(New Object() {"Left", "Center", "Right"})
        Me.cboBottomAlignment.Location = New System.Drawing.Point(456, 84)
        Me.cboBottomAlignment.Name = "cboBottomAlignment"
        Me.cboBottomAlignment.Size = New System.Drawing.Size(64, 23)
        Me.cboBottomAlignment.TabIndex = 13
        '
        'cboUpperAlignment
        '
        Me.cboUpperAlignment.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList
        Me.cboUpperAlignment.Items.AddRange(New Object() {"Left", "Center", "Right"})
        Me.cboUpperAlignment.Location = New System.Drawing.Point(152, 84)
        Me.cboUpperAlignment.Name = "cboUpperAlignment"
        Me.cboUpperAlignment.Size = New System.Drawing.Size(64, 23)
        Me.cboUpperAlignment.TabIndex = 3
        '
        'lblLowerCaptionSpace
        '
        Me.lblLowerCaptionSpace.AutoSize = True
        Me.lblLowerCaptionSpace.Font = New System.Drawing.Font("Arial", 9.0!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
        Me.lblLowerCaptionSpace.Location = New System.Drawing.Point(312, 158)
        Me.lblLowerCaptionSpace.Name = "lblLowerCaptionSpace"
        Me.lblLowerCaptionSpace.Size = New System.Drawing.Size(147, 17)
        Me.lblLowerCaptionSpace.TabIndex = 17
        Me.lblLowerCaptionSpace.Text = "Lower Caption Space (in.)"
        '
        'Label20
        '
        Me.Label20.AutoSize = True
        Me.Label20.Font = New System.Drawing.Font("Arial", 9.0!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
        Me.Label20.Location = New System.Drawing.Point(312, 124)
        Me.Label20.Name = "Label20"
        Me.Label20.Size = New System.Drawing.Size(117, 17)
        Me.Label20.TabIndex = 14
        Me.Label20.Text = "Lower Caption Color"
        '
        'Label21
        '
        Me.Label21.AutoSize = True
        Me.Label21.Font = New System.Drawing.Font("Arial", 9.0!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
        Me.Label21.Location = New System.Drawing.Point(312, 88)
        Me.Label21.Name = "Label21"
        Me.Label21.Size = New System.Drawing.Size(143, 17)
        Me.Label21.TabIndex = 12
        Me.Label21.Text = "Lower Caption Alignment"
        '
        'Label22
        '
        Me.Label22.AutoSize = True
        Me.Label22.Font = New System.Drawing.Font("Arial", 9.0!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
        Me.Label22.Location = New System.Drawing.Point(312, 24)
        Me.Label22.Name = "Label22"
        Me.Label22.Size = New System.Drawing.Size(90, 17)
        Me.Label22.TabIndex = 10
        Me.Label22.Text = "Bottom Caption"
        '
        'lblUpperCaptionSpace
        '
        Me.lblUpperCaptionSpace.AutoSize = True
        Me.lblUpperCaptionSpace.Font = New System.Drawing.Font("Arial", 9.0!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
        Me.lblUpperCaptionSpace.Location = New System.Drawing.Point(8, 158)
        Me.lblUpperCaptionSpace.Name = "lblUpperCaptionSpace"
        Me.lblUpperCaptionSpace.Size = New System.Drawing.Size(147, 17)
        Me.lblUpperCaptionSpace.TabIndex = 8
        Me.lblUpperCaptionSpace.Text = "Upper Caption Space (in.)"
        '
        'Label17
        '
        Me.Label17.AutoSize = True
        Me.Label17.Font = New System.Drawing.Font("Arial", 9.0!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
        Me.Label17.Location = New System.Drawing.Point(8, 124)
        Me.Label17.Name = "Label17"
        Me.Label17.Size = New System.Drawing.Size(117, 17)
        Me.Label17.TabIndex = 4
        Me.Label17.Text = "Upper Caption Color"
        '
        'Label16
        '
        Me.Label16.AutoSize = True
        Me.Label16.BackColor = System.Drawing.Color.Transparent
        Me.Label16.Font = New System.Drawing.Font("Arial", 9.0!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
        Me.Label16.Location = New System.Drawing.Point(8, 88)
        Me.Label16.Name = "Label16"
        Me.Label16.Size = New System.Drawing.Size(143, 17)
        Me.Label16.TabIndex = 2
        Me.Label16.Text = "Upper Caption Alignment"
        '
        'Label15
        '
        Me.Label15.AutoSize = True
        Me.Label15.Font = New System.Drawing.Font("Arial", 9.0!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
        Me.Label15.Location = New System.Drawing.Point(8, 24)
        Me.Label15.Name = "Label15"
        Me.Label15.Size = New System.Drawing.Size(84, 17)
        Me.Label15.TabIndex = 0
        Me.Label15.Text = "Upper Caption"
        '
        'DataBar1
        '
        Me.DataBar1.ApplyTilde = False
        Me.DataBar1.BackColor = System.Drawing.Color.White
        Me.DataBar1.BarHeightCM = "1.020"
        Me.DataBar1.CaptionAbove = ""
        Me.DataBar1.CaptionBelow = ""
        Me.DataBar1.CaptionBottomAlignment = System.Drawing.StringAlignment.Center
        Me.DataBar1.CaptionBottomColor = System.Drawing.Color.Black
        Me.DataBar1.CaptionBottomSpace = "0.30"
        Me.DataBar1.CaptionFontAbove = New System.Drawing.Font("Times New Roman", 10.0!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Pixel)
        Me.DataBar1.CaptionFontBelow = New System.Drawing.Font("Times New Roman", 10.0!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Pixel)
        Me.DataBar1.CaptionTopAlignment = System.Drawing.StringAlignment.Center
        Me.DataBar1.CaptionTopColor = System.Drawing.Color.Black
        Me.DataBar1.CaptionTopSpace = "0.30"
        Me.DataBar1.CharacterGrouping = "0"
        Me.DataBar1.Code128Set = IDAutomation.Windows.Forms.Databar_Barcode.Databar.Code128CharacterSets.Auto
        Me.DataBar1.CompositeData = ""
        Me.DataBar1.DataBarSuggestedHeight = True
        Me.DataBar1.DataToEncode = "15012345678907"
        Me.DataBar1.DoPaint = True
        Me.DataBar1.ExpandedStackedSegments = 22
        Me.DataBar1.FitControlToBarcode = True
        Me.DataBar1.ForeColor = System.Drawing.Color.Black
        Me.DataBar1.IncludeAIinHRText = True
        Me.DataBar1.IncludeLinkageFlaginHRText = False
        Me.DataBar1.IsComposite = True
        Me.DataBar1.LeftMarginCM = ".03"
        Me.DataBar1.Location = New System.Drawing.Point(56, 464)
        Me.DataBar1.Name = "DataBar1"
        Me.DataBar1.PDFColumns = 3
        Me.DataBar1.PDFErrorCorrectionLevel = IDAutomation.Windows.Forms.Databar_Barcode.PDF417.ErrorCorrectionLevels.Zero
        Me.DataBar1.PDFMode = IDAutomation.Windows.Forms.Databar_Barcode.MicroPDF417.MicroPDF417_CompactionModes.Text
        Me.DataBar1.PDFRows = 0
        Me.DataBar1.Resolution = IDAutomation.Windows.Forms.Databar_Barcode.Databar.Resolutions.Printer
        Me.DataBar1.ResolutionCustomDPI = "600.00"
        Me.DataBar1.ResolutionPrinterToUse = ""
        Me.DataBar1.RotationAngle = IDAutomation.Windows.Forms.Databar_Barcode.Databar.RotationAngles.Zero_Degrees
        Me.DataBar1.ShowText = True
        Me.DataBar1.ShowTextLocation = IDAutomation.Windows.Forms.Databar_Barcode.Databar.HRTextPositions.Bottom
        Me.DataBar1.Size = New System.Drawing.Size(225, 79)
        Me.DataBar1.SuppSeparationCM = "0.500"
        Me.DataBar1.SymbologyID = IDAutomation.Windows.Forms.Databar_Barcode.Databar.Symbologies.DatabarExpanded
        Me.DataBar1.TabIndex = 20
        Me.DataBar1.TextFontColor = System.Drawing.Color.Black
        Me.DataBar1.TextMarginCM = ".01"
        Me.DataBar1.TopMarginCM = ".03"
        Me.DataBar1.TruncatePDF417 = False
        Me.DataBar1.UPCESystem = "1"
        Me.DataBar1.Visible = False
        Me.DataBar1.XDimensionCM = "0.0300"
        Me.DataBar1.XDimensionMILS = "11.8110"
        Me.DataBar1.XtoYRatio = 2
        '
        'MainMenu1
        '
        Me.MainMenu1.MenuItems.AddRange(New System.Windows.Forms.MenuItem() {Me.MenuItem1, Me.MenuItem2, Me.MenuItem3})
        '
        'MenuItem1
        '
        Me.MenuItem1.Index = 0
        Me.MenuItem1.MenuItems.AddRange(New System.Windows.Forms.MenuItem() {Me.mnuSave, Me.mnuPrint, Me.MenuItem4, Me.mnuExit})
        Me.MenuItem1.Text = "&File"
        '
        'mnuSave
        '
        Me.mnuSave.Index = 0
        Me.mnuSave.Shortcut = System.Windows.Forms.Shortcut.CtrlS
        Me.mnuSave.Text = "&Save Image File"
        '
        'mnuPrint
        '
        Me.mnuPrint.Index = 1
        Me.mnuPrint.Shortcut = System.Windows.Forms.Shortcut.CtrlP
        Me.mnuPrint.Text = "&Print Image File"
        '
        'MenuItem4
        '
        Me.MenuItem4.Index = 2
        Me.MenuItem4.Text = "-"
        '
        'mnuExit
        '
        Me.mnuExit.Index = 3
        Me.mnuExit.Shortcut = System.Windows.Forms.Shortcut.CtrlX
        Me.mnuExit.Text = "E&xit"
        '
        'MenuItem2
        '
        Me.MenuItem2.Index = 1
        Me.MenuItem2.MenuItems.AddRange(New System.Windows.Forms.MenuItem() {Me.mnuInInches, Me.mnuInCM, Me.mnuCopyImage})
        Me.MenuItem2.Text = "&Edit"
        '
        'mnuInInches
        '
        Me.mnuInInches.Checked = True
        Me.mnuInInches.Index = 0
        Me.mnuInInches.Text = "Set Unit of Measure to &Inches"
        '
        'mnuInCM
        '
        Me.mnuInCM.Index = 1
        Me.mnuInCM.Text = "Set Unit of Measure to &Metric"
        '
        'mnuCopyImage
        '
        Me.mnuCopyImage.Index = 2
        Me.mnuCopyImage.Shortcut = System.Windows.Forms.Shortcut.CtrlC
        Me.mnuCopyImage.Text = "&Copy Image to Clipboard"
        '
        'MenuItem3
        '
        Me.MenuItem3.Index = 2
        Me.MenuItem3.MenuItems.AddRange(New System.Windows.Forms.MenuItem() {Me.mnuManual, Me.MenuItem5, Me.MenuItem6, Me.MenuItem7})
        Me.MenuItem3.Text = "&Help"
        '
        'mnuManual
        '
        Me.mnuManual.Index = 0
        Me.mnuManual.Shortcut = System.Windows.Forms.Shortcut.F1
        Me.mnuManual.Text = "&User Manual"
        '
        'MenuItem5
        '
        Me.MenuItem5.Index = 1
        Me.MenuItem5.Text = "Su&pport"
        '
        'MenuItem6
        '
        Me.MenuItem6.Index = 2
        Me.MenuItem6.Text = "-"
        '
        'MenuItem7
        '
        Me.MenuItem7.Index = 3
        Me.MenuItem7.Text = "&About"
        '
        'PictureBox2
        '
        Me.PictureBox2.Location = New System.Drawing.Point(16, 456)
        Me.PictureBox2.Name = "PictureBox2"
        Me.PictureBox2.Size = New System.Drawing.Size(288, 104)
        Me.PictureBox2.SizeMode = System.Windows.Forms.PictureBoxSizeMode.AutoSize
        Me.PictureBox2.TabIndex = 22
        Me.PictureBox2.TabStop = False
        '
        'Form1
        '
        Me.AutoScaleBaseSize = New System.Drawing.Size(6, 14)
        Me.BackColor = System.Drawing.Color.FromArgb(CType(230, Byte), CType(230, Byte), CType(230, Byte))
        Me.ClientSize = New System.Drawing.Size(568, 561)
        Me.Controls.Add(Me.PictureBox2)
        Me.Controls.Add(Me.DataBar1)
        Me.Controls.Add(Me.lblCopyright)
        Me.Controls.Add(Me.DemoLinkLabel)
        Me.Controls.Add(Me.TabControl1)
        Me.Controls.Add(Me.PictureBox1)
        Me.Controls.Add(Me.MyHelpButton)
        Me.Controls.Add(Me.Splitter1)
        Me.Controls.Add(Me.cmdPrint)
        Me.Controls.Add(Me.btnCopyToClipboard)
        Me.Controls.Add(Me.btnGenerateImageFile)
        Me.Controls.Add(Me.Label1)
        Me.Controls.Add(Me.DemoText)
        Me.Font = New System.Drawing.Font("Arial", 9.0!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
        Me.ForeColor = System.Drawing.Color.FromArgb(CType(192, Byte), CType(0, Byte), CType(0, Byte))
        Me.Icon = CType(resources.GetObject("$this.Icon"), System.Drawing.Icon)
        Me.MaximizeBox = False
        Me.Menu = Me.MainMenu1
        Me.Name = "Form1"
        Me.Text = "IDAutomation.com DataBar Barcode Image Generator 2.0"
        Me.TabControl1.ResumeLayout(False)
        Me.tabBarcodeProps.ResumeLayout(False)
        Me.GroupBox1.ResumeLayout(False)
        Me.tabTextProps.ResumeLayout(False)
        Me.tabImageProps.ResumeLayout(False)
        Me.GroupBox2.ResumeLayout(False)
        Me.tabPDFProps.ResumeLayout(False)
        Me.GroupBox3.ResumeLayout(False)
        Me.tabCaptionProps.ResumeLayout(False)
        Me.GroupBox4.ResumeLayout(False)
        Me.ResumeLayout(False)

    End Sub

#End Region

    Private Sub btnGenerateImageFile_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnGenerateImageFile.Click, mnuSave.Click
        ' Displays a SaveFileDialog so the user can save 
        Dim saveFileDialog1 As New SaveFileDialog
        Try
            saveFileDialog1.FileName = DataToEncode.Text & "-" & Microsoft.VisualBasic.Format(Convert.ToDouble(DataBar1.ResolutionCustomDPI), "###") & "DPI"
            saveFileDialog1.Filter = "JPEG Image|*.jpeg| TIFF Image|*.tiff | Bitmap Image|*.bmp| PNG Image|*.png| WMF Image|*.wmf| EMF Image|*.emf| EXIF Image|*.exif| GIF Image|*.gif"
            saveFileDialog1.Title = "Save an Image File"
            If System.IO.Directory.Exists(LastSaveDirectory) = True Then 'just in case this is the first time it's been accessed or the directory has been deleted
                saveFileDialog1.InitialDirectory = LastSaveDirectory
            End If
            saveFileDialog1.ShowDialog()
        Catch
            Windows.Forms.MessageBox.Show("An error occured while trying to save.  Please ensure the filename is properly formatted for the operating system.")
        End Try

        Try
            ' If the file name is not an empty string, open it for saving.
            If saveFileDialog1.FileName <> "" Then
                '*** V2006 Addition in next line
                LastSaveDirectory = System.IO.Path.GetDirectoryName(saveFileDialog1.FileName)
                DataBar1.Resolution = DataBar1.Resolutions.Custom
                DataBar1.ResolutionCustomDPI = txtImageDPI.Text
                TempFileNumer = TempFileNumer + 1
                Select Case saveFileDialog1.FilterIndex
                    Case 1
                        DataBar1.SaveImageAs(saveFileDialog1.FileName, System.Drawing.Imaging.ImageFormat.Jpeg)
                    Case 2
                        DataBar1.SaveImageAs(saveFileDialog1.FileName, System.Drawing.Imaging.ImageFormat.Tiff)
                    Case 3
                        DataBar1.SaveImageAs(saveFileDialog1.FileName, System.Drawing.Imaging.ImageFormat.Bmp)
                    Case 4
                        DataBar1.SaveImageAs(saveFileDialog1.FileName, System.Drawing.Imaging.ImageFormat.Png)
                    Case 5
                        DataBar1.SaveImageAs(saveFileDialog1.FileName, System.Drawing.Imaging.ImageFormat.Wmf)
                    Case 6
                        DataBar1.SaveImageAs(saveFileDialog1.FileName, System.Drawing.Imaging.ImageFormat.Emf)
                    Case 7
                        DataBar1.SaveImageAs(saveFileDialog1.FileName, System.Drawing.Imaging.ImageFormat.Exif)
                        '*** V2006 Addition in next 2 lines too add in GIF functionality
                    Case 8
                        DataBar1.SaveImageAs(saveFileDialog1.FileName, System.Drawing.Imaging.ImageFormat.Gif)
                End Select
            End If
        Catch
            MessageBox.Show("An error occured while trying to save the file. " & vbCr & "Error: Barcode Data")
        End Try
    End Sub

    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        '*** V2006 Addition in next section to keep app invisible for command line args
        CommandLineArgs = Microsoft.VisualBasic.Command()
        If CommandLineArgs <> "" Then
            Me.Visible = False
            Me.ShowInTaskbar = False
        End If
        OnStartUp = True

        If DataBar1.IsDemo Then
            DemoText.Visible = True
            DemoLinkLabel.Visible = True
        End If
        txtSegments.Visible = False
        lblSegments.Visible = False
        lblSegmentsDesc.Visible = False
        txtSegments.Text = "22"

        SetToolTips()
        cboSymbology.Items.Add("DataBar")
        cboSymbology.Items.Add("DataBar Truncated")
        cboSymbology.Items.Add("DataBar Stacked")
        cboSymbology.Items.Add("DataBar Stacked Omnidirectional")
        cboSymbology.Items.Add("DataBar Limited")
        cboSymbology.Items.Add("DataBar Expanded")
        cboSymbology.Items.Add("CODE 128")
        cboSymbology.Items.Add("EAN 13")
        cboSymbology.Items.Add("EAN 8")
        cboSymbology.Items.Add("UPCa")
        cboSymbology.Items.Add("UPCe")
        cboSymbology.Items.Add("MICRO_PDF417")
        cboSymbology.Items.Add("PDF417")

        cboOrientation.Items.Add("0")
        cboOrientation.Items.Add("90")
        cboOrientation.Items.Add("180")
        cboOrientation.Items.Add("270")

        cboUPCESystem.Items.Add("0")
        cboUPCESystem.Items.Add("1")

        cboCode128Set.Items.Add("Auto")
        cboCode128Set.Items.Add("A")
        cboCode128Set.Items.Add("B")
        cboCode128Set.Items.Add("C")

        '*** V2006 Addition in next section
        If CommandLineArgs <> "" Then
            'Create an image file from the command line
            'Format= [DataToEncode] [Optional file path and name.ImageType]
            'Example: 12345678 creates 12345678.jpeg
            'Example: 123456789012 c:\temp\TestFile.gif
            Try
                GetRegistryValues()
            Catch ex As Exception
                'MsgBox(ex.Message)
            End Try
            Dim separator As String = " "
            Dim args() As String = CommandLineArgs.Split(separator.ToCharArray, 2)
            DataBar1.DataToEncode = args(0)
            Try
                separator = "."
                Dim FileName() As String = (args(1)).Split(separator.ToCharArray, 2)
                Dim ImageType = FileName(1).ToUpper
                Select Case ImageType
                    Case "JPEG"
                        DataBar1.SaveImageAs(args(1), System.Drawing.Imaging.ImageFormat.Jpeg)
                    Case "GIF"
                        DataBar1.SaveImageAs(args(1), System.Drawing.Imaging.ImageFormat.Gif)
                    Case "BMP"
                        DataBar1.SaveImageAs(args(1), System.Drawing.Imaging.ImageFormat.Bmp)
                    Case "PNG"
                        DataBar1.SaveImageAs(args(1), System.Drawing.Imaging.ImageFormat.Png)
                    Case "WMF"
                        DataBar1.SaveImageAs(args(1), System.Drawing.Imaging.ImageFormat.Wmf)
                    Case "EMF"
                        DataBar1.SaveImageAs(args(1), System.Drawing.Imaging.ImageFormat.Emf)
                    Case "TIFF"
                        DataBar1.SaveImageAs(args(1), System.Drawing.Imaging.ImageFormat.Tiff)
                    Case Else
                        DataBar1.SaveImageAs(args(1), System.Drawing.Imaging.ImageFormat.Jpeg)
                End Select
            Catch
                DataBar1.SaveImageAs(args(0) & ".jpeg", System.Drawing.Imaging.ImageFormat.Jpeg)
            End Try
            Application.Exit()
        End If

        Try
            GetRegistryValues()
        Catch ex As Exception
            MsgBox(ex.Message)
        End Try

        lblNumPDFColumns.Text = "Set the number of columns to 0 to allow the control to select the optimal " & _
            "number of columns.  For MicroPDF417 barcodes this value can range from 1 to 4.  For PDF417 " & _
            "barcodes this value can range from 1 to 29."
        lblNumPDFColumns.Visible = True
        'DataToEncode.Text = Chr(202) + "1234567890"
        OnStartUp = False
    End Sub

    Dim LastPrinterUsed As String
    Private Sub cmdPrint_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cmdPrint.Click, mnuPrint.Click
        Try
            'Select a printer
            Dim prndoc As PrintDocument = New PrintDocument

            Dim frmPrinter As New frmPrintersDialog(LastPrinterUsed)
            If frmPrinter.ShowDialog() = DialogResult.OK Then

                Dim PrinterToUse As String = frmPrinter.cboPrinter.Text
                If PrinterToUse <> "" Then
                    DataBar1.ResolutionPrinterToUse = PrinterToUse
                    prndoc.PrinterSettings.PrinterName = PrinterToUse
                    LastPrinterUsed = PrinterToUse
                Else
                    Exit Sub
                End If
                frmPrinter = Nothing

                prndoc.DocumentName = "IDAutomation.com Image Generator Printout"
                AddHandler prndoc.PrintPage, New System.Drawing.Printing.PrintPageEventHandler(AddressOf PrintDocumentOnPrintPage)
                prndoc.Print()
            End If

        Catch
            MsgBox("An error occurred while trying to print; Check to make sure a printer is installed and working properly.", , "ERROR:")
        End Try
    End Sub

    Private Sub PrintDocumentOnPrintPage(ByVal sender As Object, ByVal ppea As PrintPageEventArgs)
        Dim grfx As System.Drawing.Graphics = ppea.Graphics
        Dim myImage As System.Drawing.Imaging.Metafile
        grfx.PageUnit = GraphicsUnit.Millimeter
        grfx.PageScale = 1.0F
        grfx.DrawString(Me.Text, Me.Font, Brushes.Black, 0, 0)
        DataBar1.Resolution = DataBar1.Resolutions.Printer
        myImage = DataBar1.Picture
        grfx.DrawImage(myImage, 0, 20)
        grfx.DrawString("Data is:  " + DataToEncode.Text, Me.Font, Brushes.Black, 0, 65)
        If txtCompositeData.Text <> "" Then
            grfx.DrawString("Composite Data is:  " + txtCompositeData.Text, Me.Font, Brushes.Black, 0, 70)
        End If
    End Sub

    Private Sub cboCode128Set_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cboCode128Set.SelectedIndexChanged
        DataBar1.Code128Set = cboCode128Set.SelectedIndex
        PictureBox2.Image = DataBar1.IndependentEMF
    End Sub

    Private Sub DataToEncode_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles DataToEncode.TextChanged
        Try
            DataBar1.DataToEncode = DataToEncode.Text
            PictureBox2.Image = DataBar1.IndependentEMF
        Catch
            MsgBox("An error occurred while trying to encode the data you entered. The data may be invalid for the barcode symbology. The application must now be shut down because the error caused the barcode control to stop functioning.", , "ERROR:")
            Me.Close()
        End Try

    End Sub

    Private Sub txtImageDPI_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles txtImageDPI.TextChanged
        DataBar1.Resolution = Databar.Resolutions.Custom
        DataBar1.ResolutionCustomDPI = txtImageDPI.Text
        PictureBox2.Image = DataBar1.IndependentEMF
    End Sub

    Private Sub chkTextAbove_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles chkTextAbove.CheckedChanged
        If chkTextAbove.Checked = True Then
            DataBar1.ShowTextLocation = DataBar1.HRTextPositions.Top
        Else
            DataBar1.ShowTextLocation = DataBar1.HRTextPositions.Bottom
        End If
        PictureBox2.Image = DataBar1.IndependentEMF
    End Sub

    Private Sub chkShowText_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles chkShowText.CheckedChanged
        If chkShowText.Checked = True Then
            DataBar1.ShowText = True
        Else
            DataBar1.ShowText = False
        End If
        PictureBox2.Image = DataBar1.IndependentEMF
    End Sub

    Private Sub cboOrientation_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cboOrientation.SelectedIndexChanged
        DataBar1.RotationAngle = cboOrientation.SelectedIndex
        PictureBox2.Image = DataBar1.IndependentEMF
    End Sub

    Private Sub BarHeight_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles BarHeight.TextChanged
        If OnStartUp = False Then
            If Val(BarHeight.Text) > 0 And Val(BarHeight.Text) < 50 Then
                If mnuInCM.Checked = True Then
                    DataBar1.BarHeightCM = Val(BarHeight.Text)
                Else
                    DataBar1.BarHeightCM = ConvertInchestoCM(BarHeight.Text)
                End If
                PictureBox2.Image = DataBar1.IndependentEMF
            End If
        End If
    End Sub

    Private Sub XDimension_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles XDimension.TextChanged
        If OnStartUp = False Then
            If mnuInCM.Checked = True Then
                If Val(XDimension.Text) > 0 And Val(XDimension.Text) < 7 Then
                    DataBar1.XDimensionCM = Val(XDimension.Text)
                End If
            Else
                Dim milVal As Double = Val(XDimension.Text)
                milVal = Math.Round(milVal / 1000, 3)
                DataBar1.XDimensionCM = ConvertInchestoCM(Microsoft.VisualBasic.Format(milVal, "#.###").ToString())
            End If
            PictureBox2.Image = DataBar1.IndependentEMF
        End If
    End Sub

    Private Sub TopMargin_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles TopMargin.TextChanged
        If OnStartUp = False Then
            If Val(TopMargin.Text) > 0 And Val(TopMargin.Text) < 10 Then
                If mnuInCM.Checked = True Then
                    DataBar1.TopMarginCM = Val(TopMargin.Text)
                Else
                    DataBar1.TopMarginCM = ConvertInchestoCM(TopMargin.Text)
                End If
            ElseIf Val(TopMargin.Text) = 0 Then
                DataBar1.TopMarginCM = "0"
            End If
            PictureBox2.Image = DataBar1.IndependentEMF
        End If
    End Sub

    Private Sub LeftMargin_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles LeftMargin.TextChanged
        If OnStartUp = False Then
            If Val(LeftMargin.Text) > 0 And Val(LeftMargin.Text) < 50 Then
                If mnuInCM.Checked = True Then
                    DataBar1.LeftMarginCM = Val(LeftMargin.Text)
                Else
                    DataBar1.LeftMarginCM = ConvertInchestoCM(LeftMargin.Text)
                End If
            ElseIf Val(LeftMargin.Text) = 0 Then
                DataBar1.LeftMarginCM = "0"
            End If
            PictureBox2.Image = DataBar1.IndependentEMF
        End If
    End Sub

    Private Sub cboSymbology_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cboSymbology.SelectedIndexChanged
        'take out elses
        If cboSymbology.Text = "CODE 128" Then
            DataBar1.SymbologyID = Databar.Symbologies.Code128

        ElseIf cboSymbology.Text = "EAN 13" Then
            DataBar1.SymbologyID = Databar.Symbologies.Ean13
        ElseIf cboSymbology.Text = "EAN 8" Then
            DataBar1.SymbologyID = Databar.Symbologies.Ean8
        ElseIf cboSymbology.Text = "MICRO_PDF417" Then
            DataBar1.SymbologyID = Databar.Symbologies.MicroPDF417
            If Val(txtNumberPDFColumns.Text) > 4 Then
                txtNumberPDFColumns.Text = 4
                DataBar1.PDFColumns = 4
            End If
        ElseIf cboSymbology.Text = "PDF417" Then
            DataBar1.SymbologyID = Databar.Symbologies.PDF417
          

        ElseIf cboSymbology.Text = "DataBar" Then
            DataBar1.SymbologyID = Databar.Symbologies.Databar
            If (DataBar1.DataBarSuggestedHeight = True) Then
                If (mnuInCM.Checked = True) Then
                    BarHeight.Text = DataBar1.BarHeightCM
                End If
            End If

            ElseIf cboSymbology.Text = "DataBar Truncated" Then
            DataBar1.SymbologyID = Databar.Symbologies.DatabarTruncated
            If (DataBar1.DataBarSuggestedHeight = True) Then
                If (mnuInCM.Checked = True) Then
                    BarHeight.Text = DataBar1.BarHeightCM
                End If
            End If

        ElseIf cboSymbology.Text = "DataBar Stacked" Then
            DataBar1.SymbologyID = Databar.Symbologies.DatabarStacked
            If (DataBar1.DataBarSuggestedHeight = True) Then
                If (mnuInCM.Checked = True) Then
                    BarHeight.Text = DataBar1.BarHeightCM
                End If
            End If

        ElseIf cboSymbology.Text = "DataBar Stacked Omnidirectional" Then
            DataBar1.SymbologyID = Databar.Symbologies.DatabarStackedOmnidirectional
            If (DataBar1.DataBarSuggestedHeight = True) Then
                If (mnuInCM.Checked = True) Then
                    BarHeight.Text = DataBar1.BarHeightCM
                End If
            End If

        ElseIf cboSymbology.Text = "DataBar Limited" Then
            DataBar1.SymbologyID = Databar.Symbologies.DatabarLimited
            If (DataBar1.DataBarSuggestedHeight = True) Then
                If (mnuInCM.Checked = True) Then
                    BarHeight.Text = DataBar1.BarHeightCM
                End If
            End If

        ElseIf cboSymbology.Text = "DataBar Expanded" Then
            DataBar1.SymbologyID = Databar.Symbologies.DatabarExpanded
            txtSegments.Visible = True
            lblSegments.Visible = True
            lblSegmentsDesc.Visible = True
            If (DataBar1.DataBarSuggestedHeight = True) Then
                If (mnuInCM.Checked = True) Then
                    BarHeight.Text = DataBar1.BarHeightCM
                End If
            End If

        ElseIf cboSymbology.Text = "UPCa" Then
            DataBar1.SymbologyID = Databar.Symbologies.UPCa
        ElseIf cboSymbology.Text = "UPCe" Then
            DataBar1.SymbologyID = Databar.Symbologies.UPCe
        End If
        PictureBox2.Image = DataBar1.IndependentEMF
    End Sub

    Private Sub TextMargin_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles TextMargin.TextChanged
        If OnStartUp = False Then
            If Val(TextMargin.Text) > 0 And Val(TextMargin.Text) < 10 Then
                If mnuInCM.Checked = True Then
                    DataBar1.TextMarginCM = Val(TextMargin.Text)
                Else
                    DataBar1.TextMarginCM = ConvertInchestoCM(TextMargin.Text)
                End If
            ElseIf Val(TextMargin.Text) = 0 Then
                DataBar1.TextMarginCM = "0"
            End If
            PictureBox2.Image = DataBar1.IndependentEMF
        End If
    End Sub

    Private Sub btnCopyToClipboard_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnCopyToClipboard.Click, mnuCopyImage.Click
        If optIndMF.Checked = True Then
            'make a copy of the emf so that the actual metafile doesn't get invalidated by the Clipboard method
            Dim IndMF As System.Drawing.Imaging.Metafile = DataBar1.IndependentEMF.Clone()
            ClipboardMetafileHelper.PutEnhMetafileOnClipboard(Me.Handle, IndMF)
        ElseIf optBitmap.Checked = True Then
            Dim datobj As New System.Windows.Forms.DataObject
            Dim MyBitmap As New System.Drawing.Bitmap(DataBar1.BMPPicture)
            DataBar1.Resolution = Databar.Resolutions.Custom
            DataBar1.ResolutionCustomDPI = txtImageDPI.Text
            datobj.SetData(System.Windows.Forms.DataFormats.Bitmap, DataBar1.BMPPicture)
            System.Windows.Forms.Clipboard.SetDataObject(datobj)
            MyBitmap = Nothing
            datobj = Nothing
        End If

    End Sub

    Private Sub ApplyTilde_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ApplyTilde.CheckedChanged
        If ApplyTilde.Checked = True Then
            DataBar1.ApplyTilde = True
        Else
            DataBar1.ApplyTilde = False
        End If
        PictureBox2.Image = DataBar1.IndependentEMF
    End Sub

    Private Sub DemoLinkLabel_LinkClicked(ByVal sender As System.Object, ByVal e As System.Windows.Forms.LinkLabelLinkClickedEventArgs) Handles DemoLinkLabel.LinkClicked
        'Open URL to: http://www.idautomation.com/generator/#ORDER
        System.Diagnostics.Process.Start("http://www.idautomation.com/generator/#ORDER")
    End Sub

    Private Sub MyHelpButton_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyHelpButton.Click
        Try
            System.Diagnostics.Process.Start("ImageGeneratorManual.html")
        Catch
            MsgBox("An error occurred trying to open ImageGeneratorManual.html; you will have to reinstall the program to correct this error.", , "ERROR:")
        End Try
    End Sub

    Private Sub cboUPCESystem_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cboUPCESystem.SelectedIndexChanged
        If cboUPCESystem.Text = "1" Then
            DataBar1.UPCESystem = "1"
        Else
            DataBar1.UPCESystem = "0"
        End If
        PictureBox2.Image = DataBar1.IndependentEMF
    End Sub

    Private Sub cmdSetUpperColor_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cmdSetUpperColor.Click
        ColorDialog1.Color = DataBar1.CaptionTopColor
        ColorDialog1.ShowDialog()
        DataBar1.CaptionTopColor = ColorDialog1.Color
        lblUpperCaptionColor.ForeColor = DataBar1.CaptionTopColor
        lblUpperCaptionColor.BackColor = DataBar1.CaptionTopColor
        PictureBox2.Image = DataBar1.IndependentEMF
    End Sub

    Private Sub cmdLowerColor_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cmdLowerColor.Click
        ColorDialog1.Color = DataBar1.CaptionBottomColor
        ColorDialog1.ShowDialog()
        DataBar1.CaptionBottomColor = ColorDialog1.Color
        lblBottomCaptionColor.ForeColor = DataBar1.CaptionBottomColor
        lblBottomCaptionColor.BackColor = DataBar1.CaptionBottomColor
        PictureBox2.Image = DataBar1.IndependentEMF
    End Sub

    Private Sub txtUpperSpace_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles txtUpperSpace.TextChanged
        If OnStartUp = False Then
            If mnuInCM.Checked = True Then
                DataBar1.CaptionTopSpace = txtUpperSpace.Text
            Else
                If Val(txtUpperSpace.Text) > 0 Then
                    DataBar1.CaptionTopSpace = Math.Round(Convert.ToDouble(ConvertInchestoCM(txtUpperSpace.Text)), 2).ToString()
                End If
            End If
            PictureBox2.Image = DataBar1.IndependentEMF
        End If
    End Sub

    Private Sub txtBottomSpace_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles txtBottomSpace.TextChanged
        If OnStartUp = False Then
            If mnuInCM.Checked = True Then
                DataBar1.CaptionBottomSpace = txtBottomSpace.Text
            Else
                If Val(txtBottomSpace.Text) > 0 Then
                    DataBar1.CaptionBottomSpace = Math.Round(Convert.ToDouble(ConvertInchestoCM(txtBottomSpace.Text)), 2).ToString()
                End If
            End If
            PictureBox2.Image = DataBar1.IndependentEMF
        End If
    End Sub

    Private Sub txtUpperCaption_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles txtUpperCaption.TextChanged
        DataBar1.CaptionAbove = txtUpperCaption.Text
        PictureBox2.Image = DataBar1.IndependentEMF
    End Sub

    Private Sub txtBottomCaption_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles txtBottomCaption.TextChanged
        DataBar1.CaptionBelow = txtBottomCaption.Text
        PictureBox2.Image = DataBar1.IndependentEMF
    End Sub

    Private Sub cboUpperAlignment_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cboUpperAlignment.SelectedIndexChanged
        If cboUpperAlignment.SelectedItem.ToString = "Center" Then
            DataBar1.CaptionTopAlignment = StringAlignment.Center
        ElseIf cboUpperAlignment.SelectedItem.ToString = "Left" Then
            DataBar1.CaptionTopAlignment = StringAlignment.Near
        ElseIf cboUpperAlignment.SelectedItem.ToString = "Right" Then
            DataBar1.CaptionTopAlignment = StringAlignment.Far
        End If
        PictureBox2.Image = DataBar1.IndependentEMF
    End Sub

    Private Sub cboBottomAlignment_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cboBottomAlignment.SelectedIndexChanged
        If cboBottomAlignment.SelectedItem.ToString = "Center" Then
            DataBar1.CaptionBottomAlignment = StringAlignment.Center
        ElseIf cboBottomAlignment.SelectedItem.ToString = "Left" Then
            DataBar1.CaptionBottomAlignment = StringAlignment.Near
        ElseIf cboBottomAlignment.SelectedItem.ToString = "Right" Then
            DataBar1.CaptionBottomAlignment = StringAlignment.Far
        End If
        PictureBox2.Image = DataBar1.IndependentEMF
    End Sub

    Private Sub txtBottomCaption_Enter(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles txtBottomCaption.Enter
        txtBottomCaption.SelectAll()
    End Sub

    Private Sub txtUpperCaption_Enter(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles txtUpperCaption.Enter
        txtUpperCaption.SelectAll()
    End Sub

    Private Sub DataToEncode_Enter(ByVal sender As Object, ByVal e As System.EventArgs) Handles DataToEncode.Enter
        DataToEncode.SelectAll()
    End Sub

    Private Sub GetRegistryValues()
        Dim regKey As Microsoft.Win32.RegistryKey
        Dim SymbID As String
        Dim cboIndex As Integer
        Dim RegValue As String
        regKey = Microsoft.Win32.Registry.CurrentUser.OpenSubKey("Software", True)  'true allows this to be writable
        regKey.CreateSubKey("IDAutomation.com\DataBarImageGenerator") 'Creates or opens
        regKey = Microsoft.Win32.Registry.CurrentUser.OpenSubKey("Software\IDAutomation.com\DataBarImageGenerator", True)
        'Get the value from reg.  If reg key doesn't exist set the value with the default from the control
        RegValue = regKey.GetValue("DataToEncode", DataBar1.DataToEncode)
        DataToEncode.Text = RegValue.ToString()
        DataBar1.DataToEncode = DataToEncode.Text

        RegValue = regKey.GetValue("Composite Data", DataBar1.CompositeData)
        txtCompositeData.Text = RegValue.ToString()
        DataBar1.CompositeData = txtCompositeData.Text

        If txtCompositeData.Text = "" Then
            DataBar1.IsComposite = False
        End If

        RegValue = regKey.GetValue("Symbology", "CODE 128")
        cboIndex = cboSymbology.FindString(RegValue.ToUpper())
        cboSymbology.SelectedIndex = cboIndex

        RegValue = regKey.GetValue("FirstTime", "True")
        Dim IsWestCoastTimeZone As Boolean = False

        If RegValue.Equals("True") = True Then
            IsWestCoastTimeZone = IsWesternLangSetting()
        End If

        If IsWestCoastTimeZone = False Then
            RegValue = regKey.GetValue("UnitsOfMeasurement", "CM")
        Else
            RegValue = regKey.GetValue("UnitsOfMeasurement", "Inches")
            RegValue = "Inches"
        End If

        If (RegValue = "CM") Then
            mnuInCM.Checked = True
            mnuInInches.Checked = False
            ConvertScreenToCM()
        Else
            mnuInCM.Checked = False
            mnuInInches.Checked = True
            ConvertScreenToInches()
        End If

        'Set the BarHeight in inches or CM
        If mnuInInches.Checked = False Then
            RegValue = regKey.GetValue("BarHeight", DataBar1.BarHeightCM)
            DataBar1.BarHeightCM = RegValue
        Else
            RegValue = ConvertCMtoInches(regKey.GetValue("BarHeight", DataBar1.BarHeightCM))
            Dim milVal As Double = Val(RegValue)
            DataBar1.BarHeightCM = ConvertInchestoCM(Microsoft.VisualBasic.Format(milVal, "#.###").ToString())
        End If

        If RegValue.Length > 4 Then
            BarHeight.Text = RegValue.Substring(0, 4)
        Else
            BarHeight.Text = RegValue
        End If

        'set the xdimension in mils or CM
        If mnuInInches.Checked = False Then
            RegValue = regKey.GetValue("XDimension", DataBar1.XDimensionCM)
            DataBar1.XDimensionCM = RegValue
        Else
            RegValue = ConvertCMtoInches(regKey.GetValue("XDimension", DataBar1.XDimensionCM))
            Dim xdim As Double = (Val(RegValue) * 1000)
            RegValue = xdim.ToString()
            Dim milVal As Double = Val(RegValue)
            milVal = Math.Round(milVal / 1000, 3)
            DataBar1.XDimensionCM = ConvertInchestoCM(Microsoft.VisualBasic.Format(milVal, "#.###").ToString())
        End If

        If RegValue.Length > 5 Then
            XDimension.Text = RegValue.Substring(0, 5)
        Else
            XDimension.Text = RegValue
        End If

        If mnuInInches.Checked = False Then
            RegValue = regKey.GetValue("TopMargin", DataBar1.TopMarginCM)
            DataBar1.TopMarginCM = RegValue
        Else
            RegValue = ConvertCMtoInches(regKey.GetValue("TopMargin", DataBar1.TopMarginCM))
            Dim milVal As Double = Val(RegValue)
            DataBar1.TopMarginCM = ConvertInchestoCM(Microsoft.VisualBasic.Format(milVal, "#.###").ToString())
        End If

        If RegValue.Length > 4 Then
            TopMargin.Text = RegValue.Substring(0, 4)
        Else
            TopMargin.Text = RegValue
        End If

        If mnuInInches.Checked = False Then
            RegValue = regKey.GetValue("LeftMargin", DataBar1.LeftMarginCM)
            DataBar1.LeftMarginCM = RegValue
        Else
            RegValue = ConvertCMtoInches(regKey.GetValue("LeftMargin", DataBar1.LeftMarginCM))
            Dim milVal As Double = Val(RegValue)
            DataBar1.LeftMarginCM = ConvertInchestoCM(Microsoft.VisualBasic.Format(milVal, "#.###").ToString())
        End If

        If RegValue.Length > 4 Then
            LeftMargin.Text = RegValue.Substring(0, 4)
        Else
            LeftMargin.Text = RegValue
        End If

        If mnuInInches.Checked = False Then
            RegValue = regKey.GetValue("TextMargin", DataBar1.TextMarginCM)
            DataBar1.TextMarginCM = RegValue
        Else
            RegValue = ConvertCMtoInches(regKey.GetValue("TextMargin", DataBar1.TextMarginCM))
            Dim milVal As Double = Val(RegValue)
            DataBar1.TextMarginCM = ConvertInchestoCM(Microsoft.VisualBasic.Format(milVal, "#.###").ToString())
        End If

        If RegValue.Length > 4 Then
            TextMargin.Text = RegValue.Substring(0, 4)
        Else
            TextMargin.Text = RegValue
        End If

        If mnuInInches.Checked = False Then
            RegValue = regKey.GetValue("SuppSeparationCM", DataBar1.SuppSeparationCM)
            DataBar1.SuppSeparationCM = RegValue
        Else
            RegValue = ConvertCMtoInches(regKey.GetValue("SuppSeparationCM", DataBar1.SuppSeparationCM))
            Dim milVal As Double = Val(RegValue)
            DataBar1.SuppSeparationCM = ConvertInchestoCM(Microsoft.VisualBasic.Format(milVal, "#.###").ToString())
        End If

        If RegValue.Length > 4 Then
            txtUPCSeparation.Text = RegValue.Substring(0, 4)
        Else
            txtUPCSeparation.Text = RegValue
        End If

        RegValue = regKey.GetValue("ImageToUse", "Independent")
        If RegValue = "Independent" Then
            optIndMF.Checked = True
        ElseIf RegValue = "Bitmap" Then
            optBitmap.Checked = True
        End If

        RegValue = regKey.GetValue("ApplyTilde", DataBar1.ApplyTilde.ToString()) 'False or True
        If RegValue.Equals("True") = True Then
            ApplyTilde.Checked = True
            DataBar1.ApplyTilde = True
        Else
            DataBar1.ApplyTilde = False
            ApplyTilde.Checked = False
        End If

        'brj DataBarSuggestedHeight
        RegValue = regKey.GetValue("DataBarSuggestedHeight", DataBar1.DataBarSuggestedHeight.ToString()) 'False or True
        If RegValue.Equals("True") = True Then
            DataBarSuggested.Checked = True
            DataBar1.DataBarSuggestedHeight = True
        Else
            DataBar1.DataBarSuggestedHeight = False
            DataBarSuggested.Checked = False
        End If

        RegValue = regKey.GetValue("Code128Set", DataBar1.Code128Set.ToString())
        cboIndex = cboCode128Set.FindString(RegValue.ToUpper())
        cboCode128Set.SelectedIndex = cboIndex

        RegValue = regKey.GetValue("UPCSystem", DataBar1.UPCESystem.ToString())
        cboIndex = cboUPCESystem.FindString(RegValue.ToUpper())
        cboUPCESystem.SelectedIndex = cboIndex

        RegValue = regKey.GetValue("ShowHRText", DataBar1.ShowText.ToString())
        If RegValue.Equals("True") = True Then
            chkShowText.Checked = DataBar1.ShowText = True
        Else
            chkShowText.Checked = DataBar1.ShowText = False
        End If

        RegValue = regKey.GetValue("TextAbove", DataBar1.ShowTextLocation.ToString())
        If RegValue.Equals("Top") = True Then
            chkTextAbove.Checked = True
            DataBar1.ShowTextLocation = Databar.HRTextPositions.Top
        Else
            chkTextAbove.Checked = False
            DataBar1.ShowTextLocation = Databar.HRTextPositions.Bottom
        End If

        RegValue = regKey.GetValue("ShowLinkageFlag", DataBar1.IncludeLinkageFlaginHRText.ToString())
        If RegValue.Equals("True") = True Then
            chkIncludeLinkageFlag.Checked = True
            DataBar1.IncludeLinkageFlaginHRText = True
        Else
            chkIncludeLinkageFlag.Checked = False
            DataBar1.IncludeLinkageFlaginHRText = False
        End If

        RegValue = regKey.GetValue("ShowAIinText", DataBar1.IncludeAIinHRText.ToString())
        If RegValue.Equals("True") = True Then
            chkIncludeAI.Checked = True
            DataBar1.IncludeAIinHRText = True
        Else
            chkIncludeAI.Checked = False
            DataBar1.IncludeAIinHRText = False
        End If

        'Image Properties tab
        RegValue = regKey.GetValue("Orientation", DataBar1.RotationAngle.ToString())
        If RegValue = "Zero_Degrees" Then
            SymbID = "0"
        ElseIf RegValue = "Ninety_Degrees" Then
            SymbID = "90"
        ElseIf RegValue = "One_Hundred_Eighty_Degrees" Then
            SymbID = "180"
        ElseIf RegValue = "Two_Hundred_Seventy_Degrees" Then
            SymbID = "270"
        End If
        cboIndex = cboOrientation.FindString(SymbID)
        cboOrientation.SelectedIndex = cboIndex

        RegValue = regKey.GetValue("ImageResolution", DataBar1.ResolutionCustomDPI.ToString())
        txtImageDPI.Text = RegValue

        DataBar1.ResolutionCustomDPI = RegValue

        'DataBar Expanded Stacked Segments
        RegValue = regKey.GetValue("ExpandedStackedSegments", DataBar1.ExpandedStackedSegments)
        txtSegments.Text = RegValue
        DataBar1.ExpandedStackedSegments = txtSegments.Text

        'PDF properties tab
        RegValue = regKey.GetValue("PDFCompactionMode", DataBar1.PDFMode.ToString())
        cboIndex = cboCompactionType.FindString(RegValue)
        cboCompactionType.SelectedIndex = cboIndex

        RegValue = regKey.GetValue("PDFColumns", DataBar1.PDFColumns)
        txtNumberPDFColumns.Text = RegValue
        DataBar1.PDFColumns = txtNumberPDFColumns.Text

        RegValue = regKey.GetValue("TruncatePDF417", DataBar1.TruncatePDF417.ToString())
        If RegValue.Equals("True") = True Then
            chkTruncate.Checked = True
            DataBar1.TruncatePDF417 = True
        Else
            chkTruncate.Checked = False
            DataBar1.TruncatePDF417 = False
        End If

        RegValue = regKey.GetValue("ECLevel", DataBar1.PDFErrorCorrectionLevel.ToString())
        cboIndex = cboECLevel.FindString(RegValue)
        cboECLevel.SelectedIndex = cboIndex

        RegValue = regKey.GetValue("XYRatio", DataBar1.XtoYRatio)
        txtXYRatio.Text = RegValue
        DataBar1.XtoYRatio = Val(txtXYRatio.Text)

        'Caption tab
        RegValue = regKey.GetValue("CaptionAbove", DataBar1.CaptionAbove)
        txtUpperCaption.Text = RegValue
        DataBar1.CaptionAbove = txtUpperCaption.Text

        RegValue = regKey.GetValue("CaptionBelow", DataBar1.CaptionBelow)
        txtBottomCaption.Text = RegValue
        DataBar1.CaptionBelow = txtBottomCaption.Text

        If mnuInInches.Checked = False Then
            RegValue = regKey.GetValue("CaptionTopSpace", DataBar1.CaptionTopSpace)
            DataBar1.CaptionTopSpace = RegValue
        Else
            RegValue = ConvertCMtoInches(regKey.GetValue("CaptionTopSpace", DataBar1.CaptionTopSpace))
            Dim milVal As Double = Val(RegValue)
            DataBar1.CaptionTopSpace = ConvertInchestoCM(Microsoft.VisualBasic.Format(milVal, "#.###").ToString())
        End If

        txtUpperSpace.Text = RegValue

        If mnuInInches.Checked = False Then
            RegValue = regKey.GetValue("CaptionBottomSpace", DataBar1.CaptionBottomSpace)
            DataBar1.CaptionBottomSpace = RegValue
        Else
            RegValue = ConvertCMtoInches(regKey.GetValue("CaptionBottomSpace", DataBar1.CaptionBottomSpace))
            Dim milVal As Double = Val(RegValue)
            DataBar1.CaptionBottomSpace = ConvertInchestoCM(Microsoft.VisualBasic.Format(milVal, "#.###").ToString())
        End If

        txtBottomSpace.Text = RegValue

        RegValue = regKey.GetValue("CaptionTopAlignment", DataBar1.CaptionTopAlignment.ToString())
        cboIndex = cboUpperAlignment.FindString(RegValue)
        cboUpperAlignment.SelectedIndex = cboIndex

        RegValue = regKey.GetValue("CaptionBottomAlignment", DataBar1.CaptionBottomAlignment.ToString())
        cboIndex = cboBottomAlignment.FindString(RegValue)
        cboBottomAlignment.SelectedIndex = cboIndex

        RegValue = regKey.GetValue("CaptionBottomColor", DataBar1.CaptionBottomColor.ToArgb())
        lblBottomCaptionColor.ForeColor = Color.FromArgb(Convert.ToInt32(RegValue))
        lblBottomCaptionColor.BackColor = Color.FromArgb(Convert.ToInt32(RegValue))
        DataBar1.CaptionBottomColor = Color.FromArgb(Convert.ToInt32(RegValue))

        RegValue = regKey.GetValue("CaptionTopColor", DataBar1.CaptionTopColor.ToArgb())
        lblUpperCaptionColor.ForeColor = Color.FromArgb(Convert.ToInt32(RegValue))
        lblUpperCaptionColor.BackColor = Color.FromArgb(Convert.ToInt32(RegValue))
        DataBar1.CaptionTopColor = Color.FromArgb(Convert.ToInt32(RegValue))

        RegValue = regKey.GetValue("HRTextColor", DataBar1.TextFontColor.ToArgb())
        lblHRTextColor.ForeColor = Color.FromArgb(Convert.ToInt32(RegValue))
        lblHRTextColor.BackColor = Color.FromArgb(Convert.ToInt32(RegValue))
        DataBar1.TextFontColor = Color.FromArgb(Convert.ToInt32(RegValue))

        RegValue = regKey.GetValue("BarColor", DataBar1.ForeColor.ToArgb())
        lblBarColor.ForeColor = Color.FromArgb(Convert.ToInt32(RegValue))
        lblBarColor.BackColor = Color.FromArgb(Convert.ToInt32(RegValue))
        DataBar1.ForeColor = Color.FromArgb(Convert.ToInt32(RegValue))

        RegValue = regKey.GetValue("BackColor", DataBar1.BackColor.ToArgb())
        lblBackgroundColor.ForeColor = Color.FromArgb(Convert.ToInt32(RegValue))
        lblBackgroundColor.BackColor = Color.FromArgb(Convert.ToInt32(RegValue))
        DataBar1.BackColor = Color.FromArgb(Convert.ToInt32(RegValue))

        Dim fontSize As Double
        Dim fontName As String

        'Set the font of the top caption
        fontName = regKey.GetValue("CaptionFontNameAbove", DataBar1.CaptionFontAbove.Name)
        RegValue = regKey.GetValue("CaptionFontSizeAbove", DataBar1.CaptionFontAbove.Size)
        fontSize = Convert.ToDouble(RegValue)

        DataBar1.CaptionFontAbove = New Font(fontName, fontSize)
        ToolTip1.SetToolTip(Me.cmdCaptionFont, "Sets the font of the top caption. Currently font is " & DataBar1.CaptionFontAbove.Name & ", " & DataBar1.CaptionFontAbove.Size)

        'set the font of the lower caption
        fontName = regKey.GetValue("CaptionFontNameBelow", DataBar1.CaptionFontBelow.Name)
        RegValue = regKey.GetValue("CaptionFontSizeBelow", DataBar1.CaptionFontBelow.Size)
        fontSize = Convert.ToDouble(RegValue)
        DataBar1.CaptionFontBelow = New Font(fontName, fontSize)
        ToolTip1.SetToolTip(Me.cmdSetBottomCaptionFont, "Sets the font of the bottom caption. Currently font is " & DataBar1.CaptionFontBelow.Name & ", " & DataBar1.CaptionFontBelow.Size)

        fontName = regKey.GetValue("HRTextFontName", DataBar1.Font.Name)
        lblHRTextFont.Text = fontName
        RegValue = regKey.GetValue("HRTextFontSize", DataBar1.Font.Size)
        fontSize = Convert.ToDouble(RegValue)
        lblHRTextFont.Text = lblHRTextFont.Text & ", " & RegValue.ToString()
        DataBar1.Font = New Font(fontName, fontSize)

        '2006 update next 2 lines
        RegValue = regKey.GetValue("LastSaveDirectory", "")
        LastSaveDirectory = RegValue

        Me.Height = Convert.ToInt32(regKey.GetValue("Height", Me.Height))
        Me.Width = Convert.ToInt32(regKey.GetValue("Width", Me.Width))
        Me.Top = Convert.ToInt32(regKey.GetValue("Top", Me.Top))
        Me.Left = Convert.ToInt32(regKey.GetValue("Left", Me.Left))

        LastPrinterUsed = regKey.GetValue("LastPrinter", "")
        PictureBox2.Image = DataBar1.IndependentEMF
        regKey.Close()

    End Sub

    Private Sub SetRegistryValues()
        Dim regKey As Microsoft.Win32.RegistryKey
        regKey = Microsoft.Win32.Registry.CurrentUser.OpenSubKey("Software", True)  'true allows this to be writable
        regKey.CreateSubKey("IDAutomation.com\DataBarImageGenerator") 'Creates or opens
        regKey = Microsoft.Win32.Registry.CurrentUser.OpenSubKey("Software\IDAutomation.com\DataBarImageGenerator", True)

        'Barcode properties Tab
        regKey.SetValue("DataToEncode", DataBar1.DataToEncode)
        regKey.SetValue("Composite Data", DataBar1.CompositeData)

        regKey.SetValue("BarHeight", DataBar1.BarHeightCM)
        regKey.SetValue("XDimension", DataBar1.XDimensionCM)
        regKey.SetValue("XDimensionMils", DataBar1.XDimensionMILS)
        regKey.SetValue("TopMargin", DataBar1.TopMarginCM)
        regKey.SetValue("LeftMargin", DataBar1.LeftMarginCM)
        regKey.SetValue("TextMargin", DataBar1.TextMarginCM)
        regKey.SetValue("SuppSeparationCM", DataBar1.SuppSeparationCM)
        regKey.SetValue("ApplyTilde", DataBar1.ApplyTilde.ToString())
        regKey.SetValue("Symbology", cboSymbology.Text)
        regKey.SetValue("ExpandedStackedSegments", txtSegments.Text)
        regKey.SetValue("Code128Set", DataBar1.Code128Set.ToString())
        regKey.SetValue("UPCSystem", DataBar1.UPCESystem.ToString())
        regKey.SetValue("DataBarSuggestedHeight", DataBar1.DataBarSuggestedHeight.ToString()) 'brj

        If mnuInInches.Checked = True Then
            regKey.SetValue("UnitsOfMeasurement", "Inches")
        Else
            regKey.SetValue("UnitsOfMeasurement", "CM")
        End If

        'Caption tab
        regKey.SetValue("CaptionAbove", DataBar1.CaptionAbove.ToString())
        regKey.SetValue("CaptionBelow", DataBar1.CaptionBelow.ToString())
        regKey.SetValue("CaptionTopSpace", DataBar1.CaptionTopSpace)
        regKey.SetValue("CaptionBottomSpace", DataBar1.CaptionBottomSpace)

        If DataBar1.CaptionTopAlignment.ToString() = "Near" Then
            regKey.SetValue("CaptionTopAlignment", "Left")
        ElseIf DataBar1.CaptionTopAlignment.ToString() = "Center" Then
            regKey.SetValue("CaptionTopAlignment", "Center")
        ElseIf DataBar1.CaptionTopAlignment.ToString() = "Far" Then
            regKey.SetValue("CaptionTopAlignment", "Right")
        End If
        If DataBar1.CaptionBottomAlignment.ToString() = "Near" Then
            regKey.SetValue("CaptionBottomAlignment", "Left")
        ElseIf DataBar1.CaptionBottomAlignment.ToString() = "Center" Then
            regKey.SetValue("CaptionBottomAlignment", "Center")
        ElseIf DataBar1.CaptionBottomAlignment.ToString() = "Far" Then
            regKey.SetValue("CaptionBottomAlignment", "Right")
        End If
        regKey.SetValue("CaptionFontNameBelow", DataBar1.CaptionFontBelow.Name)
        regKey.SetValue("CaptionFontSizeBelow", DataBar1.CaptionFontBelow.Size)

        regKey.SetValue("CaptionFontNameAbove", DataBar1.CaptionFontAbove.Name)
        regKey.SetValue("CaptionFontSizeAbove", DataBar1.CaptionFontAbove.Size)
        regKey.SetValue("CaptionBottomColor", DataBar1.CaptionBottomColor.ToArgb())
        regKey.SetValue("CaptionTopColor", DataBar1.CaptionTopColor.ToArgb())

        'Image Tab
        regKey.SetValue("ImageResolution", Me.txtImageDPI.Text)
        regKey.SetValue("Orientation", DataBar1.RotationAngle.ToString())
        regKey.SetValue("ResolutionPrinter", DataBar1.ResolutionPrinterToUse)
        regKey.SetValue("Resolution", DataBar1.Resolution.ToString())
        If optIndMF.Checked = True Then
            regKey.SetValue("ImageToUse", "Independent")
        ElseIf optBitmap.Checked = True Then
            regKey.SetValue("ImageToUse", "Bitmap")
        End If

        'PDF properties tab
        regKey.SetValue("PDFCompactionMode", DataBar1.PDFMode.ToString())
        regKey.SetValue("PDFColumns", DataBar1.PDFColumns)
        regKey.SetValue("TruncatePDF417", DataBar1.TruncatePDF417.ToString())
        regKey.SetValue("XYRatio", DataBar1.XtoYRatio.ToString())
        regKey.SetValue("ECLevel", Me.cboECLevel.Text)

        'text & color Tab
        regKey.SetValue("HRTextColor", DataBar1.TextFontColor.ToArgb())
        regKey.SetValue("BarColor", DataBar1.ForeColor.ToArgb())
        regKey.SetValue("BackColor", DataBar1.BackColor.ToArgb())
        regKey.SetValue("HRTextFontName", DataBar1.Font.Name)
        regKey.SetValue("HRTextFontSize", DataBar1.Font.Size)
        regKey.SetValue("ShowHRText", DataBar1.ShowText.ToString())
        regKey.SetValue("TextAbove", DataBar1.ShowTextLocation.ToString())
        regKey.SetValue("ShowLinkageFlag", DataBar1.IncludeLinkageFlaginHRText.ToString())
        regKey.SetValue("ShowAIinText", DataBar1.IncludeAIinHRText.ToString())

        'Misc. settings
        regKey.SetValue("Height", Me.Height.ToString())
        regKey.SetValue("Width", Me.Width.ToString())
        regKey.SetValue("Top", Me.Top.ToString())
        regKey.SetValue("Left", Me.Left.ToString())
        regKey.SetValue("LastPrinter", LastPrinterUsed)
        regKey.SetValue("FirstTime", "False")

        '*** V2006 Additions in next 3 lines
        If LastSaveDirectory <> "" Then
            regKey.SetValue("LastSaveDirectory", LastSaveDirectory)
        End If

        regKey.Close()
    End Sub

    Private Sub Form1_Closing(ByVal sender As Object, ByVal e As System.ComponentModel.CancelEventArgs) Handles MyBase.Closing
        SetRegistryValues()
    End Sub

    Private Sub TabControl1_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles TabControl1.SelectedIndexChanged
        If cboSymbology.Text = "PDF417" Then
            cboCompactionType.Items.Clear()
            cboCompactionType.Items.Add("Binary")
            cboCompactionType.Items.Add("Text")
        Else
            cboCompactionType.Items.Clear()
            cboCompactionType.Items.Add("Binary")
            cboCompactionType.Items.Add("Text")
            cboCompactionType.Items.Add("Numeric")
        End If

        Dim sValue As String = DataBar1.PDFMode.ToString()
        Dim cboIndex As Integer = cboCompactionType.FindString(sValue)
        If cboIndex <> -1 Then
            cboCompactionType.SelectedIndex = cboIndex
        Else
            sValue = "Text"
            cboIndex = cboCompactionType.FindString(sValue)
            cboCompactionType.SelectedIndex = cboIndex
        End If
    End Sub


    Private Sub btnSetHRText_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnSetHRText.Click
        ColorDialog1.Color = DataBar1.TextFontColor
        ColorDialog1.ShowDialog()
        DataBar1.TextFontColor = ColorDialog1.Color

        lblHRTextColor.ForeColor = ColorDialog1.Color
        lblHRTextColor.BackColor = ColorDialog1.Color
        PictureBox2.Image = DataBar1.IndependentEMF
    End Sub

    Private Sub btnSetHRTextFont_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnSetHRTextFont.Click
        FontDialog1.Font = DataBar1.Font
        FontDialog1.ShowDialog()
        DataBar1.Font = FontDialog1.Font
        lblHRTextFont.Text = DataBar1.Font.Name & ", " & DataBar1.Font.Size
        PictureBox2.Image = DataBar1.IndependentEMF
    End Sub

    Private Sub btnSetBarColor_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnSetBarColor.Click
        ColorDialog1.Color = DataBar1.ForeColor
        ColorDialog1.ShowDialog()
        DataBar1.ForeColor = ColorDialog1.Color
        lblBarColor.ForeColor = ColorDialog1.Color
        lblBarColor.BackColor = ColorDialog1.Color
        PictureBox2.Image = DataBar1.IndependentEMF
    End Sub

    Private Sub btnSetBackgroundColor_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnSetBackgroundColor.Click
        ColorDialog1.Color = DataBar1.BackColor
        ColorDialog1.ShowDialog()
        DataBar1.BackColor = ColorDialog1.Color
        lblBackgroundColor.ForeColor = ColorDialog1.Color
        lblBackgroundColor.BackColor = ColorDialog1.Color
        PictureBox2.Image = DataBar1.IndependentEMF
    End Sub

    Private Sub txtCompositeData_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles txtCompositeData.TextChanged
        If txtCompositeData.Text <> "" Then
            DataBar1.IsComposite = True
        Else
            DataBar1.IsComposite = False
        End If
        DataBar1.CompositeData = txtCompositeData.Text
        PictureBox2.Image = DataBar1.IndependentEMF
    End Sub

    Private Sub chkIncludeAI_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles chkIncludeAI.CheckedChanged
        If chkIncludeAI.Checked = True Then
            DataBar1.IncludeAIinHRText = True
        Else
            DataBar1.IncludeAIinHRText = False
        End If
        PictureBox2.Image = DataBar1.IndependentEMF
    End Sub

    Private Sub chkIncludeLinkageFlag_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles chkIncludeLinkageFlag.CheckedChanged
        If chkIncludeLinkageFlag.Checked = True Then
            DataBar1.IncludeLinkageFlaginHRText = True
        Else
            DataBar1.IncludeLinkageFlaginHRText = False
        End If
        PictureBox2.Image = DataBar1.IndependentEMF
    End Sub

    Private Sub txtUPCSeparation_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles txtUPCSeparation.TextChanged
        If OnStartUp = False Then
            If Val(txtUPCSeparation.Text) > 0 And Val(txtUPCSeparation.Text) < 10 Then
                If mnuInCM.Checked = True Then
                    DataBar1.SuppSeparationCM = Val(txtUPCSeparation.Text)
                Else
                    DataBar1.SuppSeparationCM = ConvertInchestoCM(txtUPCSeparation.Text)
                End If
            ElseIf Val(txtUPCSeparation.Text) = 0 Then
                DataBar1.SuppSeparationCM = "0"
            End If
            PictureBox2.Image = DataBar1.IndependentEMF
        End If
    End Sub

    Private Sub cboCompactionType_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cboCompactionType.SelectedIndexChanged
        If cboCompactionType.Text = "Numeric" Then
            DataBar1.PDFMode = MicroPDF417.MicroPDF417_CompactionModes.Numeric
            lblPDFMaxLength.Text = PDF417_NUMERIC_EXPLANATION
        ElseIf cboCompactionType.Text = "Text" Then
            DataBar1.PDFMode = MicroPDF417.MicroPDF417_CompactionModes.Text
            lblPDFMaxLength.Text = PDF417_TEXT_EXPLANATION
        ElseIf cboCompactionType.Text = "Binary" Then
            DataBar1.PDFMode = MicroPDF417.MicroPDF417_CompactionModes.Binary
            lblPDFMaxLength.Text = PDF417_BINARY_EXPLANATION
        End If
        PictureBox2.Image = DataBar1.IndependentEMF
    End Sub

    Private Sub txtNumberPDFColumns_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles txtNumberPDFColumns.TextChanged
        Dim oldValue As String

        Try
            If txtNumberPDFColumns.Text <> "" Then
                DataBar1.PDFColumns = txtNumberPDFColumns.Text
                PictureBox2.Image = DataBar1.IndependentEMF
            End If
        Catch

        End Try

    End Sub
    Friend WithEvents chkTruncate As System.Windows.Forms.CheckBox

    Private Sub chkTruncate_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles chkTruncate.CheckedChanged
        DataBar1.TruncatePDF417 = chkTruncate.Checked
        PictureBox2.Image = DataBar1.IndependentEMF
    End Sub
    Friend WithEvents cboECLevel As System.Windows.Forms.ComboBox
    Friend WithEvents Label29 As System.Windows.Forms.Label

    Private Sub cboECLevel_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cboECLevel.SelectedIndexChanged
        If cboECLevel.Text = "Zero" Then
            DataBar1.PDFErrorCorrectionLevel = PDF417.ErrorCorrectionLevels.Zero
        ElseIf cboECLevel.Text = "One" Then
            DataBar1.PDFErrorCorrectionLevel = PDF417.ErrorCorrectionLevels.One
        ElseIf cboECLevel.Text = "Two" Then
            DataBar1.PDFErrorCorrectionLevel = PDF417.ErrorCorrectionLevels.Two
        ElseIf cboECLevel.Text = "Three" Then
            DataBar1.PDFErrorCorrectionLevel = PDF417.ErrorCorrectionLevels.Three
        ElseIf cboECLevel.Text = "Four" Then
            DataBar1.PDFErrorCorrectionLevel = PDF417.ErrorCorrectionLevels.Four
        ElseIf cboECLevel.Text = "Five" Then
            DataBar1.PDFErrorCorrectionLevel = PDF417.ErrorCorrectionLevels.Five
        ElseIf cboECLevel.Text = "Six" Then
            DataBar1.PDFErrorCorrectionLevel = PDF417.ErrorCorrectionLevels.Six
        ElseIf cboECLevel.Text = "Seven" Then
            DataBar1.PDFErrorCorrectionLevel = PDF417.ErrorCorrectionLevels.Seven
        ElseIf cboECLevel.Text = "Eight" Then
            DataBar1.PDFErrorCorrectionLevel = PDF417.ErrorCorrectionLevels.Eight
        End If
        PictureBox2.Image = DataBar1.IndependentEMF
    End Sub
    Friend WithEvents Label30 As System.Windows.Forms.Label
    Friend WithEvents txtXYRatio As System.Windows.Forms.TextBox

    Private Sub txtXYRatio_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles txtXYRatio.TextChanged
        If txtXYRatio.Text <> "" And Char.IsNumber(txtXYRatio.Text) = True Then
            DataBar1.XtoYRatio = Val(txtXYRatio.Text)
            PictureBox2.Image = DataBar1.IndependentEMF
        End If
    End Sub
    Friend WithEvents ToolTip1 As System.Windows.Forms.ToolTip
    Friend WithEvents optIndMF As System.Windows.Forms.RadioButton
    Friend WithEvents Label27 As System.Windows.Forms.Label
    Friend WithEvents optBitmap As System.Windows.Forms.RadioButton

    Private Sub SetToolTips()
        ToolTip1.SetToolTip(Me.BarHeight, "Specify the height of the bars in the barcode.")
        ToolTip1.SetToolTip(Me.txtCompositeData, "Specify the data for the composite portion of the barcode")
        ToolTip1.SetToolTip(Me.XDimension, "Specify the width of the narrowest bars in the barcode.")
        ToolTip1.SetToolTip(Me.TopMargin, "Specify the distance between the top of the image and the top of the barcode.")
        ToolTip1.SetToolTip(Me.LeftMargin, "Specify the distance between the left side of the image and the first bar in the barcode.")
        ToolTip1.SetToolTip(Me.TextMargin, "Specify the distance between the bottom of the barcode and the text under the barcode.")
        ToolTip1.SetToolTip(Me.cboSymbology, "Select the type of barcode.")
        ToolTip1.SetToolTip(Me.ApplyTilde, "Specify whether a tilde in a Code 128 barcode prefaces ASCII character values.")
        ToolTip1.SetToolTip(Me.cboCode128Set, "Character set to use for Code 128 barcodes.")
        ToolTip1.SetToolTip(Me.txtXYRatio, "Ratio between narrow bars and wide bars.")
        ToolTip1.SetToolTip(Me.cboUPCESystem, "UPCE system to use for creating UPC/EAN barcodes.")
        ToolTip1.SetToolTip(Me.txtImageDPI, "The resolution, in DPI, of the image that will be created.")
        ToolTip1.SetToolTip(Me.cboOrientation, "The rotation of the image, in degrees.")
        ToolTip1.SetToolTip(Me.chkShowText, "Determines if the text in the bacode should be visible.")
        ToolTip1.SetToolTip(Me.chkTextAbove, "Determines if the text in the bacode should appear above the barcode.")
        ToolTip1.SetToolTip(Me.txtUpperCaption, "Sets the distance between the top of the image and the top of the upper caption.")
        ToolTip1.SetToolTip(Me.txtBottomCaption, "Sets the distance between the caption on the bottom and the bottom of the text below the barcode.")
    End Sub

    Private Sub GroupBox3_Enter(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles GroupBox3.Enter

    End Sub

    Private Sub tabPDFProps_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles tabPDFProps.Click
        If cboSymbology.Text = "PDF417" Then
            cboCompactionType.Items.Clear()
            cboCompactionType.Items.Add("Binary")
            cboCompactionType.Items.Add("Text")
        Else
            cboCompactionType.Items.Clear()
            cboCompactionType.Items.Add("Binary")
            cboCompactionType.Items.Add("Text")
            cboCompactionType.Items.Add("Numeric")
        End If
    End Sub

    Private Sub Label28_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Label28.Click

    End Sub

    Private Sub cmdCaptionFont_Click_1(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cmdCaptionFont.Click
        FontDialog1.Font = DataBar1.CaptionFontAbove
        FontDialog1.ShowDialog()
        DataBar1.CaptionFontAbove = FontDialog1.Font
        ToolTip1.SetToolTip(Me.cmdCaptionFont, "Sets the font of the top caption. Currently font is " & DataBar1.CaptionFontAbove.Name & ", " & DataBar1.CaptionFontAbove.Size)
        PictureBox2.Image = DataBar1.IndependentEMF
    End Sub

    Private Sub cmdSetBottomCaptionFont_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cmdSetBottomCaptionFont.Click
        FontDialog1.Font = DataBar1.CaptionFontBelow
        FontDialog1.ShowDialog()
        DataBar1.CaptionFontBelow = FontDialog1.Font
        ToolTip1.SetToolTip(Me.cmdSetBottomCaptionFont, "Sets the font of the bottom caption. Currently font is " & DataBar1.CaptionFontBelow.Name & ", " & DataBar1.CaptionFontBelow.Size)
        PictureBox2.Image = DataBar1.IndependentEMF
    End Sub

    Private Sub mnuManual_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles mnuManual.Click
        Try
            System.Diagnostics.Process.Start("ImageGeneratorManual.html")
        Catch
            MsgBox("Cannot access the help file, please try to access it in the appropriate program group under Start - Programs - IDAutomation...", , "How to access help")
        End Try
    End Sub

    Private Sub MenuItem5_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MenuItem5.Click
        Try
            System.Diagnostics.Process.Start("http://www.idautomation.com/support.htm#Generator")
        Catch
            MsgBox("Cannot access the help file, please try to access it in the appropriate program group under Start - Programs - IDAutomation...", , "How to access help")
        End Try
    End Sub

    Private Sub MenuItem7_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MenuItem7.Click
        Dim abt As New frmAbout
        abt.ShowDialog(Me)
    End Sub

    Private Sub mnuExit_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles mnuExit.Click
        Try
            SetRegistryValues()
        Catch
            ''Catch ex As Exception

        End Try
        Application.Exit()
    End Sub

    Private Sub mnuInInches_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles mnuInInches.Click
        If mnuInInches.Checked = False Then
            mnuInCM.Checked = False
            mnuInInches.Checked = True
            ConvertScreenToInches()

            If Val(XDimension.Text) > 0 Then
                Dim milValue As String = ConvertCMtoInches(XDimension.Text)
                Dim xdim As Double = Val(milValue * 1000)
                xdim = Math.Round(xdim, 2)
                XDimension.Text = Microsoft.VisualBasic.Format(xdim, "#.###").ToString()
            End If
            If Val(BarHeight.Text) > 0 Then
                BarHeight.Text = Math.Round(Convert.ToDouble(ConvertCMtoInches(BarHeight.Text)), 3).ToString()
            End If
            If Val(TopMargin.Text) > 0 Then
                TopMargin.Text = Math.Round(Convert.ToDouble(ConvertCMtoInches(TopMargin.Text)), 3).ToString()
            End If
            If Val(LeftMargin.Text) > 0 Then
                LeftMargin.Text = Math.Round(Convert.ToDouble(ConvertCMtoInches(LeftMargin.Text)), 3).ToString()
            End If
            If Val(TextMargin.Text) > 0 Then
                TextMargin.Text = Math.Round(Convert.ToDouble(ConvertCMtoInches(TextMargin.Text)), 3).ToString()
            End If
            If Val(txtUpperSpace.Text) > 0 Then
                txtUpperSpace.Text = Math.Round(Convert.ToDouble(ConvertCMtoInches(txtUpperSpace.Text)), 3).ToString()
            End If
            If Val(txtBottomSpace.Text) > 0 Then
                txtBottomSpace.Text = Math.Round(Convert.ToDouble(ConvertCMtoInches(txtBottomSpace.Text)), 3).ToString()
            End If
        End If
    End Sub

    Private Sub mnuInCM_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles mnuInCM.Click
        If mnuInCM.Checked = False Then
            mnuInCM.Checked = True
            mnuInInches.Checked = False
            ConvertScreenToCM()

            If Val(BarHeight.Text) > 0 Then
                BarHeight.Text = Math.Round(Convert.ToDouble(ConvertInchestoCM(BarHeight.Text)), 2).ToString()
            End If
            If Val(XDimension.Text) > 0 Then
                Dim milValue As Double
                milValue = Val(XDimension.Text) / 1000

                XDimension.Text = ConvertInchestoCM(Microsoft.VisualBasic.Format(milValue, "#.###").ToString())
            End If
            If Val(TopMargin.Text) > 0 Then
                TopMargin.Text = ConvertInchestoCM(TopMargin.Text)
            End If
            If Val(LeftMargin.Text) > 0 Then
                LeftMargin.Text = ConvertInchestoCM(LeftMargin.Text)
            End If
            If Val(TextMargin.Text) > 0 Then
                TextMargin.Text = ConvertInchestoCM(TextMargin.Text)
            End If
            If Val(txtUpperSpace.Text) > 0 Then
                txtUpperSpace.Text = ConvertInchestoCM(txtUpperSpace.Text)
            End If
            If Val(txtBottomSpace.Text) > 0 Then
                txtBottomSpace.Text = ConvertInchestoCM(txtBottomSpace.Text)
            End If
        End If
    End Sub
    'Converts labels on screen to represent inches
    Private Sub ConvertScreenToInches()
        lblBarHeight.Text = "Bar Height (in.)"
        lblXDimCM.Text = "X Dimension (MILS)"
        lblTopMargin.Text = "Top Margin (in.)"
        lblLeftMargin.Text = "Left Margin (in.)"
        lblTextMargin.Text = "Text Margin (in.)"
        lblLowerCaptionSpace.Text = "Lower Caption Space (in.)"
        lblUpperCaptionSpace.Text = "Upper Caption Space (in.)"
    End Sub

    'Converts labels on screen to represent CM
    Private Sub ConvertScreenToCM()
        lblBarHeight.Text = "Bar Height (CM)"
        lblXDimCM.Text = "X Dimension (CM)"
        lblTopMargin.Text = "Top Margin (CM)"
        lblLeftMargin.Text = "Left Margin (CM)"
        lblTextMargin.Text = "Text Margin (CM)"
        lblLowerCaptionSpace.Text = "Lower Caption Space (CM)"
        lblUpperCaptionSpace.Text = "Upper Caption Space (CM)"
    End Sub
    'Converts CM value to inches
    Private Function ConvertCMtoInches(ByVal inputCM As String) As String
        Try
            Dim conversion As Double = (Val(inputCM) / 2.54)
            Return Microsoft.VisualBasic.Format(conversion, "#.###").ToString()
        Catch
            Return inputCM
        End Try
    End Function

    'Converts Inches to CM
    Private Function ConvertInchestoCM(ByVal inputIN As String) As String
        Try
            Dim conversion As Double = (Val(inputIN) * 2.54)
            Return Microsoft.VisualBasic.Format(conversion, "#.###").ToString()
        Catch
            Return inputIN
        End Try
    End Function

    'Checks to see if the language settings are set to the US
    Private Function IsWesternLangSetting() As Boolean
        Dim thisThread As System.Threading.Thread = System.Threading.Thread.CurrentThread
        Dim originalCulture As System.Globalization.CultureInfo = thisThread.CurrentCulture

        Dim rtrnValue As Boolean = False
        If originalCulture.EnglishName.Equals("English (United States)") = True Then
            rtrnValue = True
        End If
        Return rtrnValue

    End Function

    Private Sub optIndMF_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles optIndMF.CheckedChanged

    End Sub

    Private Sub MenuItem1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MenuItem1.Click

    End Sub

    Private Sub TopMargin_AcceptsTabChanged(ByVal sender As Object, ByVal e As System.EventArgs) Handles TopMargin.AcceptsTabChanged

    End Sub

    Private Sub SaveFileDialog1_Disposed(ByVal sender As Object, ByVal e As System.EventArgs) Handles SaveFileDialog1.Disposed

    End Sub

    Private Sub txtSegments_TextChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles txtSegments.TextChanged
        If OnStartUp = False Then
            If Val(txtSegments.Text) > 0 And Val(txtSegments.Text) < 23 Then
                DataBar1.ExpandedStackedSegments = Val(txtSegments.Text)
            Else
                txtSegments.Text = "22"
            End If
            PictureBox2.Image = DataBar1.IndependentEMF
        End If
    End Sub




    Private Sub DataBarSuggested_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles DataBarSuggested.CheckedChanged

        If DataBarSuggested.Checked = True Then
            DataBar1.DataBarSuggestedHeight = True
        Else
            DataBar1.DataBarSuggestedHeight = False
        End If
        PictureBox2.Image = DataBar1.IndependentEMF
    End Sub


    Private Sub PictureBox2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles PictureBox2.Click

    End Sub
End Class
